commit e917e3183008443b60b3c883e4f160bc7eb5e9ae
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Jul 21 17:18:27 2008 -0700

    Update NEWS for 2.3.7 release.

commit 15797144220aa874e9f9c35f54a2e268447ec006
Author: François-R Boyer <Francois-R.Boyer@polymtl.ca>
Date:   Tue Apr 1 13:28:46 2008 -0700

    Fixed to_digits function where digits > 10 were not fixed.

commit bfe6685c0318c333a88284b07b3feedc891f3e13
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Mar 16 09:54:59 2008 -0700

    Prepare NEWS for 2.3.6 release.

commit 697177c023f32cd8fe5eb5662ead1d8cbdd89106
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 15 15:22:38 2008 -0700

    Added fmod function.

commit f0b5253516d4ce875d2aebc460ff9b609e835edc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 15 15:07:41 2008 -0700

    Added fortran mod interface.

commit cc309f05792d2d53ad17e436601caad76ec9db4f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 3 08:23:12 2008 +0900

    Fix example in qd.tex to actually work with the current version.
    
    The header file qd.h had been renamed to qd_real.h.
    Automatic conversion from quad-double to double-double is not done.

commit 49437387deb3521ad60fcf45025a8976678c8163
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Feb 14 12:15:12 2008 -0800

    Update NEWS.

commit 591d750e6bd96dae1795a4142c3a7dc81c13290f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Feb 5 00:02:46 2008 -0800

    Removed blurb in README about not supporting integer in fortran.

commit 7ee1692c66181f47ac57fc53b538978f95da0326
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Feb 5 10:24:13 2008 -0800

    Updated NEWS for v2.3.5.

commit f5f93a24031527917872617374a815ad6fab3c69
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 4 23:50:11 2008 -0800

    Fix division between qd_real and dd_real.
    
    We needed to compute the product between approximate
    quotient (double) and divisor (dd_real) in qd_real precision.
    
    Future optimization may be possible here by only computing
    this product to td_real (triple-double precision).

commit 9f3b39c6a0e60535435aaec1eeb6dbefec681166
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Feb 5 10:15:38 2008 -0800

    Include <cstring> for strncpy and strcmp.

commit e17dbffdaa488749291b22953c2d80f2638184a2
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Feb 1 18:36:18 2008 -0800

    Pass 38 as maxlen to f_dd_swrite in ddoutc (ddmod.f).
    
    Since we only have 40 characters, and 2 is already taken
    at the front.  Hence there is only 38 characters left to fill.
    
    This was causing segfault in fortran/dd_timer.

commit ccd3c085a427a3e58ddd4c1b657a78a03d16846d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jan 31 14:52:35 2008 -0800

    Distribute tests/coeff.dat.
    
    This was omitted from distribution; it is now fixed by
    adding coeff.dat to dist_noinst_DATA in tests/Makefile.am.

commit a49c5bf6b3b80e070df640765c80b3b21d1b75d8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jan 17 13:33:22 2008 -0800

    Need to attach EXEEXT to executable names in fortran/Makefile.am.
    
    This was causing problems during "make demo" in Cygwin environment.

commit db274af48c9a3eaa1903f0d16dfae8659f17e667
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Jan 13 00:21:04 2008 -0800

    Update NEWS for 2.3.3 release.

commit 78bb8150f816bd6d60c543591212c2a735d94258
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Jan 13 00:13:47 2008 -0800

    Fixed bug in atan2 where wrong Newton iteration were being chosen.
    
    We consider two forms of Newton iteration for atan2; we decide which
    one to use based on the magnitude of x and y.  We were not taking
    the absolute value to figure out their relative magnitude.
    
    Bug reported by Lung Sheng Chien.

commit 6532db5e2cfa3457d69d72492a85bcbd2b9aa0d6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Jan 7 16:06:58 2008 -0800

    Update NEWS for 2.3.2 release.

commit 9e2e910e9c776cb5d99f851ed950c80180a5a113
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 5 15:51:48 2008 -0800

    Perform the initial trigonometric argument reduction in full precision.
    
    This allows argument up to about 2^106 for dd_real and 2^212 for
    qd_real.  In the future this will be replaced with more accurate
    version with full range.

commit e64ce24b0cfed71f2584b620a01d617e8892c746
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Nov 16 17:34:41 2007 -0800

    Added support for _Asm_fma/fms macros in Intel IA64 compiler.
    
    This gives access to fast fused multiply add and subtract,
    but is not documented very well.

commit 1374b59000be3a205983920f1be0e425b93465ad
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Dec 6 17:40:53 2007 -0800

    Emphasize compiler selection in INSTALL file.

commit 6a801455007dd761fde7c8aab6bf99fcf10c7600
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Dec 6 17:26:01 2007 -0800

    Added a C test case.

commit 317c5385bffa0ad3964fe1f78f61545cc50080ea
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Dec 6 17:21:36 2007 -0800

    Include qd/fpu.h from c_dd.h.
    
    This alleviate the user to include qd/fpu.h directly.

commit d11d86f8a86ca8427cd42364056dc0b0f8cd90b5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Dec 6 17:01:35 2007 -0800

    Output _ndigits digits for c_dd_write and c_qd_write.
    
    Previously it relied on the default numbers of digits of std::cout,
    which is set to 6 by default.

commit 8fec8450de5d74365e6019a54f6d76578a48c07a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Dec 6 13:19:28 2007 -0800

    Install qdext.mod during make install.
    
    $(QDEXT) was missing from pkglib_DATA in fortran/Makefile.am.
    Bug reported and fixed by Charles M. Coldwell.

commit 3d2517598ba5721e0569ef43ea30dea92adbef35
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Nov 24 19:26:38 2007 -0800

    Update NEWS for 2.3.1.

commit 0e1f76ece97e82465bf7e153c351f8e6c36717ea
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Nov 24 19:24:19 2007 -0800

    strncpy is in std namespace.

commit bcf48bb133a06a2f356520f0112c535e1cd7bdf5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Nov 24 16:40:10 2007 -0800

    Fix bug in qd_real cos_taylor function.
    
    The index into inverse factorial table should start at 1 (instead of 0)
    for cosine.  This was causing error after third term in the Taylor series
    of the cosine function.
    
    This bug does not affect the dd_real version.

commit a51ac61a6c4d3cc45178014e1064cd9b70c0ade3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Nov 16 17:40:40 2007 -0800

    Removed extra spaces around = sign in configure.ac.

commit ee93cbc83bb55b4b5a77dd49f6ec032ce899c086
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Nov 24 13:55:37 2007 -0800

    Fix bug in qd_real sincos routine.
    
    Wrong results were being returned for angles near multiples
    of pi/2.  The problem was that we forgot to permute sin/cos
    and the signs based on j when the reduction by pi/1024 gave
    k = 0.
    
    This bug was giving bogus values for tan (and others).
    
    The dd_real version is not affected.

commit d72c0ed97fde44cfbe03c0867509e6a358aedcee
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 15 13:46:09 2007 -0700

    Update NEWS a bit.

commit fb3b36b02fc7689fb26fb0b15f2fd740a0847ade
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 15 12:13:48 2007 -0700

    Added pgCC to the list of C++ compilers.

commit b245c608bce8abf8f94395406951f4c0a945c597
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Oct 14 23:41:12 2007 -0700

    Include <algorithm> for std::max in tests/qd_test.cpp.

commit 044f4bbb40a65fb3597aa1ccb400b8094f645384
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Oct 6 14:14:31 2007 -0700

    Update config.guess and config.sub from latest one.

commit 563d6a96802b7313a1cb0318cc4810dde3d2b8db
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Oct 6 14:05:31 2007 -0700

    Use g++ and gfortran by default during make-dist.sh.

commit f9f367d2b2d8795d88e232ef9875c6a415f43792
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Oct 6 14:00:38 2007 -0700

    Update config scripts to that from automake-1.10.

commit 275c366748b43cb3f5cf544c773a3f83ba463858
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Oct 14 23:06:13 2007 -0700

    Use type specific intrisics for abs and aint.
    
    For some reason pgf95 compiler does not like abs and aint
    declared as intrinsics; instead use dabs, iabs, and dint.

commit 6241ab69067e48936473327bdc1b38b60326ff22
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Oct 14 23:01:35 2007 -0700

    Use volatile short for control word declaration in fpu.cpp.
    
    PGI C++ complains about it.

commit cea4ab591687268953967023df6b0874fb0de507
Merge: 7a519cb... a49ed19...
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 1 22:30:02 2007 -0700

    Merge branch 'master' into dev
    
    Conflicts:
    
    	NEWS

commit a49ed19960e72503b810d58b2eef327c8d7b5879
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu May 31 01:24:00 2007 -0700

    Update NEWS for 2.2.6 release.

commit 7a519cb4763b5b42e3e692da3f366ca1e7e49fea
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed May 30 18:38:45 2007 -0700

    Added work around for gcc-4.1.x miscompilation on x86_64.
    
    For some reason gcc-4.1.x on x86_64 linux miscompiles the
    expression "p *= exp(t)" in a loop.  Instead use "p = p * exp(t)".

commit b4070e41d0e76443f68d192586f5af757695cf5f
Author: Philippe GHESQUIERE <philippe.ghesquiere@eads.com>
Date:   Wed May 30 17:43:54 2007 -0700

    Fix bug in qd_real * dd_real code.
    
    Final result is in [p0..p3], not [q0..q3].

commit 02bfeb22cd9351400318364810cd8944a857db22
Author: Philippe GHESQUIERE <philippe.ghesquiere@eads.com>
Date:   Wed May 30 17:43:54 2007 -0700

    Fix bug in qd_real * dd_real code.
    
    Final result is in [p0..p3], not [q0..q3].

commit ca454d4fcefbe457925850a6517aad5c6c13d817
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri May 25 18:01:00 2007 -0700

    Added --fmainlib to the qd-config usage output.

commit 03bcb44885262892069ab64f6316dc7a0d83abe6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri May 18 21:35:11 2007 -0700

    Added rule to make docs/qd.pdf in toplevel Makefile.

commit fd8aa35e157e205363c5b8e9956c9d6a912dd20d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Apr 27 16:37:30 2007 -0700

    Use mul_pwr2 when multiplying by 0.5 in qd_real sqrt.
    
    This minor changes results in 8-9% increase on P4.

commit 400219c4bc279d6165c2080c3c321511f0b189ee
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Apr 26 16:41:57 2007 -0700

    Autoheader needs to run before automake in config/autogen.sh.

commit 246c90f01e26dedab1a1dbe1f66aaa2babb1de17
Author: didier deshommes <dfdeshom@gmail.com>
Date:   Fri Apr 27 01:52:08 2007 -0700

    Add better infinity support for qd_real.
    
    Didier's patch modified to
    
      - QD_ISINF is used instead of isinf.
      - No need to include <limits> in qd_real.cpp.
      - Infinity is printed with sign if appropriate,
      - Inf/nan is printed correctly with field widths (inf/nan case need
        to fall through to near the end of to_string routine).

commit 9a869f3c442b2d7d5b58aee38eca392a59c5ad09
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Apr 26 16:41:57 2007 -0700

    Autoheader needs to run before automake in config/autogen.sh.

commit 0266d2a806cf9f057cf479fe4a19862b64d3f6fd
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Apr 26 13:12:15 2007 -0700

    Updated NEWS for (future) 2.3.0 release.

commit 1c95e3b65c45077fc7621f09931b2a6387b6aefb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Apr 25 02:01:18 2007 -0700

    Optimize qd_real sin / cos functions.

commit 87c0283ecbdc5809a78350ae2b7e33b92bbadcc7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Apr 25 01:33:53 2007 -0700

    Use std::floor instead of just floor in approximate argument reduction in exp function.

commit d00200e595337635e224d548e8ecba1fbb1a2a2a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Apr 25 01:32:32 2007 -0700

    Optimize dd_real sin / cos even more by using approximate argument reduction.
    
    When reducing by 2*pi, pi/2, and pi/16, we can compute the quotient in
    double-precision accuracy, since the convergence of the Taylor series is
    not significantly affected by slightly larger argument.

commit b68dec5a47c628c2a331749df5a42bb732198b67
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Apr 25 01:14:32 2007 -0700

    Clean up dd_real sin / cos.

commit 184d1298bd67299f39f80fe9f0a2394e17681594
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Apr 25 01:06:17 2007 -0700

    Expand the domain of sin / cos timing tests.
    
    Now the timing tests of sin / cos includes domain outside
    of range [-pi, pi].

commit 592092cfe4c92e3fd718003b9af87bae9f2cc4a3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Apr 25 01:03:45 2007 -0700

    Add timing test for cos function.

commit ca3e9f5ce05cd6043199b3d381a62f4807952bb6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Apr 25 00:50:25 2007 -0700

    Fix unused variable warning in dd_real.cpp.

commit 94e15b245fdb571cf87155fa8d96e9abbd71eabb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Apr 25 00:01:49 2007 -0700

    Removed constants used internally for trig functions from public interface.
    
    Instead declare them as local static variables in dd_real.cpp and
    qd_real.cpp.  Also removed _pi8, _pi16, and _pi1024 from public
    interface.

commit b1ff7c35977c04009f930e8a9506e9481dc04908
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Apr 24 19:17:49 2007 -0700

    Speed up Taylor series for sin / cos routines.
    
    Use a precomputed table of 1/n!.

commit 9b79ed48e85045283aaf6f9b936a67853e5c3dd3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Apr 24 18:17:09 2007 -0700

    Use static_cast<int> when using ldexp with double as second argument.

commit c70d199102fff0818e627aa411ef8a8f2ac47efd
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Apr 22 01:54:00 2007 -0700

    Added sanity check to sin/cos.

commit cd8aba7df649142edc4ffa95fbb71731e3074a79
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Apr 22 01:30:44 2007 -0700

    Make exp use a precomputed table of inverse factorials.
    
    This makes it 10-30% faster.

commit b43d047f25109c18620c35748024798907541e85
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 21 03:58:51 2007 -0700

    Make exp function more accurate and efficient.
    
    Adjust k values for maximum performance.  Integer m only needs to
    be determined approximately, so just use double precision arithmetic.
    Use mul_pwr2 and ldexp where appropriate.  Don't add 1 to the result
    until the end to preserve accuracy during repeated squaring.
    
    These changes result in accuracy increase by an order of magnitude,
    and about 20-30% increase in performance on Core 2 Duo.
    
    Update qd_test for more stringent accuracy test.
    
    In the future this should be replaced with minimax polynomial
    approximation or maybe Pade approximants.

commit c97137767f26478a1c6c11e0d3661a6a1c4c70b1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 21 01:02:36 2007 -0700

    Added sanity check for exp() function.

commit ac265ed9a15e2cdbb35eb98a2f9d609cc16d42df
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 21 00:29:55 2007 -0700

    Added timing tests for exp() function.

commit 89b8fa66c5c9e4e6d06c48410e55a5ca7b6616b3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Apr 20 23:58:46 2007 -0700

    Renamed generic interface read and write to read_scalar and write_scalar.
    
    This avoids confusion with builtin read / write statements, and gets
    around a gfortran-4.1.x parser bug (seemed to be fixed in gfortran-4.2).
    Perhaps in the future I may come up with a better name...

commit 7d904cedd2d24d1766a21ba3f70d19397a5567aa
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 14 12:55:15 2007 -0700

    Added read and write interface to Fortran 95.
    
    Apparently we can provide a generic interface "read" and "write" and not
    conflict with read and write statement.  I'm not quite sure if this is
    a good idea, but does provide with a generic name to call I/O functions:
    read can be called to read dd_real, dd_complex, qd_real, and qd_complex.

commit 67cbadf96262e8d9a34d9d44a6f212721037f6c1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 14 11:55:58 2007 -0700

    Added assignment of integer to complex types.

commit c55bc793c131716ce6d15698bec5602a40c9aff9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 14 11:40:32 2007 -0700

    Added {dd,qd}_complex * integer support in Fortran interface.

commit 5a9031921cbda8edd9e44216bfee834fc80b9d68
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 14 00:39:20 2007 -0700

    Make ddcomplex accept pair of ddreals.
    
    Same changes for qdcomplex.

commit d18b458aa91cb2094c6863a3aefc714d3a523432
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 14 00:07:28 2007 -0700

    real(dd_complex) should return dd_real.
    
    Same for qd_real type.

commit 99d74b6ab0c03f20bbf0b1e793add32405b289bc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Apr 13 22:56:23 2007 -0700

    Added aimag to fortran interface.
    
    This returns the imaginary part of a complex double-double or quad-double.

commit 371d3ccc7c6f472bd3d5194432065ca1c0c01a11
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Apr 11 01:24:34 2007 -0700

    Added E. Jason Riedy as a contributor.

commit fec2c8dbdffbb40f13ce7a8a8b5150674f1c362a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Apr 8 23:36:43 2007 -0700

    Added note on compiler optimization in INSTALL file.

commit 3f7bd6a452538a49a0b48a983eaad68dce4151c7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Apr 8 23:27:25 2007 -0700

    Removed note about cygwin in INSTALL file.
    
    Case insensitivity is no longer much a problem since
    there is a specialized compiler search order on cygwin systems.

commit aa4260321d14b97e2750d314d9a89576ca3c4ae0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Apr 8 23:25:57 2007 -0700

    Fix example in INSTALL: Intel C++ compiler is icpc, not icc.

commit ab230d50cb15f8414388943fc2f007ede4b756af
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Apr 8 23:08:12 2007 -0700

    Fix fortran/f_dd.cpp; double-double is now represented as an array.
    
    Commit 73115461 forgot to update this file.

commit 05bef975a9488091aa43a03549cea3fdd0b35055
Author: Jason Riedy <ejr@EECS.Berkeley.EDU>
Date:   Sun Apr 8 14:52:29 2007 -0700

    Use Fortran array slices liberally.
    
    There may be a future problem lurking here...  Array slices
    may be passed by descriptor and not use sequence association.
    That would be incredibly dumb in these cases.
    
    If it *does* occur, the routines in qdext.f and ddext.f should
    be changed to take implicitly-sized arrays (b(*) rather than b(4)).
    
    Signed-off-by: Jason Riedy <ejr@cs.berkeley.edu>

commit 18d6320faa001bca6237efedfbc6b1118368ceda
Author: Jason Riedy <ejr@EECS.Berkeley.EDU>
Date:   Sun Apr 8 14:49:16 2007 -0700

    Replace loop with ISHFT in pwr_{q,d}dc_i.
    
    More efficient and more clear.
    
    Signed-off-by: Jason Riedy <ejr@cs.berkeley.edu>

commit 30c9162908875e80ba94259645aabcd118e4c052
Author: Jason Riedy <ejr@EECS.Berkeley.EDU>
Date:   Sun Apr 8 14:48:44 2007 -0700

    Continue elemental-izing functions.
    
    Note: The WRITEs in pwr_qdc_i and pwr_ddc_i are commented out.
    
    Signed-off-by: Jason Riedy <ejr@cs.berkeley.edu>

commit 98c6ea2b52a8e0f75efe14f69f6171eef6c5107e
Author: Jason Riedy <ejr@EECS.Berkeley.EDU>
Date:   Sun Apr 8 14:48:22 2007 -0700

    Fix prototypes in qdext.f; qd has 4 elements.
    
    Signed-off-by: Jason Riedy <ejr@cs.berkeley.edu>

commit e2fee77d5382a1fb93fd66cc353e0fe36b25f7c1
Author: Jason Riedy <ejr@EECS.Berkeley.EDU>
Date:   Sun Apr 8 14:48:00 2007 -0700

    Negate all of a quad-double, not just first two pieces.
    
    Signed-off-by: Jason Riedy <ejr@cs.berkeley.edu>

commit 49731aa90269a4bb5e505c46150f54e57aec2406
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Apr 8 03:36:14 2007 -0700

    Make dd_real multiplication commutative.

commit 73115461d449585eff07259d2d166fde937a68ca
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Apr 8 00:47:08 2007 -0700

    Change internal representabion of dd_real to array of two doubles.
    
    This makes it more consistent with qd_real and future extensions.

commit 77a8fa5f7f384e2243945f956ede2657225b0ba7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Apr 8 00:20:08 2007 -0700

    Make addition for dd_real commutative.

commit 0c7d86ae1719275b4286c32c8946dcc246bfb354
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 7 23:51:48 2007 -0700

    Time dot-like function a = a*b + c.

commit 3768f72461727109c6dbcd993f566ed39a022a93
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 7 23:51:17 2007 -0700

    Multiply the number of iterations of qd_timer for each -long flag.

commit 94ecba6986c8c164766293f0ad704f2076b5524a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 7 23:23:31 2007 -0700

    Perform multiple ops in a loop to measure time.
    
    Do four independent add / mul / div / sqrt inside the
    loop to better measure the time.

commit e5afcd6bb2402b896863f5327b7367f9f9b85032
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 7 23:11:50 2007 -0700

    Print out result in timing sin in qd_timer.
    
    Compiler optimization removed the loop when the result was unused.

commit 93728d52287245b4883b8b55514904b3deb58095
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 7 23:09:34 2007 -0700

    Print out mop/s (million of operations per second) in qd_timer.

commit 5346abb51d14cf85eb84a18df39a87e7df2f18d9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 7 23:06:43 2007 -0700

    Don't bother saving format flags in qd_timer routines.

commit 3b907888ba16b3afd1bb2efdea5d3f20095875f1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 26 04:50:09 2007 -0700

    Update comments in tests/huge.cpp.

commit dd99599f98266b28b59cbf3201f3b337adb87a21
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 26 04:33:36 2007 -0700

    Bump minor version number to 3.

commit 851f42da0dfa613a9f87876bc68dc5f27fa40518
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 26 04:19:59 2007 -0700

    Update tests/huge.cpp for write ==> to_string API change.

commit 6596a171c846f50cf66893ccd3a1c66b361ed409
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 26 04:15:29 2007 -0700

    Update ddext.f and qdext.f for API change in swrite.

commit ae12ec0bcac828ae5ee18daea40af281b8571375
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 04:44:28 2007 -0700

    Write to C string is now a wrapper to to_string method.

commit e86abad81472bd0d097c7e6e0a0eabc4b0fe23b8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 01:52:09 2007 -0700

    Renamed abort() to error().
    
    It does not abort, but it just prints out a error message.

commit 740c4ec41c2effb0d8481a8e42afcb0eb03fe10c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 01:43:05 2007 -0700

    Make f_xx_swrite more flexible.
    
    f_xx_swrite, called by the Fortran interface is not able
    to accept precision and character array length.

commit 72b8b527d880b332ded64283cebf779102a47c33
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 21 19:06:21 2007 -0700

    Renamed write to to_string for outputting to std::string.

commit e7964b65b662bcf1fd4cc9bb9661b2fd2e33a9ee
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 17 11:57:20 2007 -0700

    Make T::write take one fmtflags instead of float_field and adjust_field.

commit 0c04258f79ed6fd1aa040484088996da5caffc0d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 26 03:57:29 2007 -0700

    Declare Fortran subroutines/functions as pure/elemental where appropriate.
    
    This allows more Fortran 95 constructs such as matrix operations
    and forall loops to be used with dd_real / qd_real types.

commit 82486db011094e649c120923f740b656ba7c3c19
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 26 03:01:20 2007 -0700

    Removed redundant routines in Fortran interface.
    
    These include copy routines, d+dd and d+qd additions and
    multiplications (which can be done with dd+d and qd+d routines),
    and cossin functions.

commit 645a2b7a279342aa5fb8105213751030dbd7eb4d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 26 02:53:41 2007 -0700

    Declare most routines in ddext.f and qdext.f as pure.

commit dc7272c6cb09dfefbda3810cef90175f98e93419
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 27 18:01:32 2007 -0700

    Added C++-to-Fortran glue to fortran/{dd/qd}ext.f.
    
    This allows some static error checking when compiling ddmod.f
    and qdmod.f.  Fixed bunch of type errors when calling f_dd_*
    and f_qd_* routines.

commit d9ac4a4d562a3d6dd5cbc32897595320aa48099a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Mar 25 04:37:47 2007 -0700

    Fix comments in qd_real.h and dd_const.cpp.

commit c3fabe6a9914ad15c09bafa5740729c7cda2b3d6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Mar 25 01:35:05 2007 -0700

    Make constructors accepting double pointer explicit.

commit a2316077e044772d671b89b934b83db3d1b80ead
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Mar 25 00:39:49 2007 -0700

    Make everything public in qd_real and dd_real types.

commit ca5cab51a1799aec85c92a75d1cb8ac69be062a0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 24 10:25:21 2007 -0700

    Update qd-config.in and fortran/Makefile.sample for qd_f_main.

commit 5938ae808308a626ac07b80b915d262baeec00fc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 24 01:37:18 2007 -0700

    Split f_main from libqdmod.a, put it in libqd_f_main.a.

commit f4dbe72c58c5e59a8b6dc0ab0fda64707ec2b656
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 28 11:54:10 2007 -0700

    Include <cstdlib> in where necessary in tests / demo programs.

commit cea1f55118646ba9a9701d318bf55b3b67059774
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 27 17:19:39 2007 -0700

    Update fortran/tquadtsq2d.f, added fortran/tquadgsq2d.f demo programs.

commit b8dd81c8fc657ecf54e0a9a54c6c01663bfbc1e7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 27 13:12:58 2007 -0700

    Removed unused variable in tests/huge.cpp.

commit d4c89c78721867ad9a6ca19167a94394f61b717d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 27 13:11:56 2007 -0700

    Restore stream precision / flags when exiting print_double_info.

commit 5aa61b0f03a7c9d1e9a88741c916ef764c5ec6eb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 27 12:40:45 2007 -0700

    More robust check for clock_gettime.
    
    It checks to see if we can compile a simple program using clock_gettime.
    On some systems, we can detect clock_gettime in libraries but the
    compiler cannot use it for some reason.

commit 9c4e9c37fcbae713ecd0b1a3d00754468c974014
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 26 14:55:31 2007 -0700

    Automake expects ChangeLog to be there, so create it first in autogen.sh.

commit 2a5b8132afdd0a045145d5fa94033d5b58aa1075
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 26 02:25:38 2007 -0700

    Do not write to input parameter in pwr_{dd,qd}c_i.
    
    In the Fortran routien pwr_ddc_i and pwr_qdc_i, we were writing NaN
    (when 0^0 is requrested) to the input parameter a instead to the result.

commit 32e9bfc1945c3d0fdfea6a4905c4c7db6a6bb545
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 24 00:50:14 2007 -0700

    Call autotools in correct order in config/autogen.sh.

commit f64ddddf61c0e77620048b79ddc347656ac4d6bc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 24 00:23:52 2007 -0700

    Make MinGW system look for same compilers as in cygwin.

commit 1d2fdae00a5df2ea8e6c1de3a6502bd088a9e667
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 24 00:09:59 2007 -0700

    Prune out some obsolete C++ compilers from search list.
    
    These include old icc/ecc compilers (modern Intel uses icpc
    as their C++ compiler), and several compilers on Apple platforms.

commit a25c2d2d156ca8ec0adcc377a80d2f899134af56
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Mar 23 23:50:06 2007 -0700

    Remove cl from C++ compiler search list.
    
    As far as I know cl refers to the MSVC++ cl.exe compiler,
    and I don't think autoconf/automake stuff works with command-line
    Microsoft compilers.

commit f384bfb3cf92cccaf4834961ad59be1345713a10
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Mar 23 23:21:04 2007 -0700

    Return NaN instead of stopping the program when 0^0 is encountered.
    
    This applies to the complex exponentiation in Fortran.

commit ade1c71668c3f4daed7df6511bb8f0f408f1eaf6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Mar 23 23:14:24 2007 -0700

    Added nan generic function to the Fortran interface.
    
    This calls f_dd_nan or f_qd_nan to get NaN values.
    Simple printout of NaN added to f_test.

commit cd21d1998ad9523c7cc2d41a31eee1c7c96f375d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 19:28:09 2007 -0700

    Update NEWS for 2.2.5 release (again).

commit bb3e13c67a20656cbef6c7d879658d0b234fe6f1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 19:09:53 2007 -0700

    Fix div_{dd,qd}c_d in Fortran interface.
    
    We cannot just divide each component of a dd_real by a
    double precision number to get the result of the division.

commit 144a6228b7ea420085e5a7f06832cebe9842dea5
Author: David H Bailey <dhbailey@lbl.gov>
Date:   Thu Mar 22 18:59:14 2007 -0700

    Added Fortran interface for mixed complex / double precision arithmetic.
    
    This includes mix of dd_complex and double, and qd_complex and double.

commit cf76a920d276f79a122325fb0bc1a3592b5b5506
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 15:03:47 2007 -0700

    Fix alignment in the verbose output of qd_test.

commit 6a1a3f078a28813988ecd877cd69e5bb81b29366
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 14:37:35 2007 -0700

    Update NEWS for 2.2.5 release.

commit 7d2c9b90f44acd32c3854a25ff43dd7e29d22eef
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 04:21:36 2007 -0700

    Include cstdlib instead of stdlib.h in fortran/main.cpp.

commit 504f46aeb75edbfa6bce51dd000900640baa8ab2
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 04:03:36 2007 -0700

    Correctly detect when we cannot find a Fortran module inclusion flag.

commit e54cf50ca3ecffd6949b454c294ef883cd71e2e5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 04:01:29 2007 -0700

    Moved Fortran test f_test to tests directory.

commit 58b8e6e59d5414a27632e49250ef056e5c414a12
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 03:37:57 2007 -0700

    Moved Fortran wrappers f_xx.cpp into fortran directory.

commit fc0964a8047481b7f8cf19bc3288648543fc5567
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 03:25:36 2007 -0700

    Printing NaN should follow format options as well.
    
    Previously NaNs were always printed out as "nan" or "NAN".
    Not it honors various format optons passed to to_string
    method.

commit 9f28633b15133c2437706004d9249f3b4f634f24
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 03:13:25 2007 -0700

    Check for infinity when printing numbers.

commit 0a72a5a3c9f4abd5c6bd62dbbbcfb8b37fd96e4c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 12:45:09 2007 -0700

    Return NaN under error conditions instead of zero.

commit baafad498dda838321773ba4f4ea61f8b46844b7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 12:42:50 2007 -0700

    Exp now returns inf if the argument is too large.

commit e4f3fff2eb18f0926b1ef1f1a0e710210e208778
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 02:06:25 2007 -0700

    Added _inf constant, representing infinity.

commit 6efb5ff5be6e3db403e7c473aca53dd83cc55e16
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 22 05:31:01 2007 -0700

    Return nan if error is detected in assignment from strings.

commit 7365abc771d8d5bfaff5147f4d9b71f46141ba47
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 21 18:49:50 2007 -0700

    Added qd_real member access returning a reference.
    
    This makes possible, to assign numbers to each component.
    This is intended for debugging purposes.

commit ba503495d28d8696ed0359c4c8f0388bf03a79c5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 17 11:06:17 2007 -0700

    Use newer write() function for Fortran string output.

commit c291d9cb910886a09ec177d6814870335a2dd30b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 21 18:50:07 2007 -0700

    Fix spelling error in NEWS.

commit ec4acfb4c3e9e4af363e7c44fbc47597a6b212a0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 17 03:03:52 2007 -0700

    Removed support for Fortran strings.
    
    These were not mainttained and probably no longer works.
    Instead we use array of characters, which is slightly
    more portable.

commit 600391d1ad77b260515544e8f37a008597bf2cf3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 17 02:53:43 2007 -0700

    Revamp debugging dump routines.
    
      - Removed dump_components(), it now does the same thing as dump().
      - Accept optional variable name.
      - Accept output stream to dump information; defaults to cerr.

commit 06a436a82ce40e6936f08615a808cdc22a8077e7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 21 16:07:21 2007 -0700

    Allow fortran/dd_timer.f and qd_timer.f to be generated without Fortran.
    
    These are required in the distribution (and does not require a Fortran
    compiler), so able to generate these without a Fortran compiler.

commit cd7add6a8569bb69a4455b899bf00d5fa751b903
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 21 13:43:50 2007 -0700

    Fix bug in quick_three_accum where both a and b becomes zero.
    
    When the sum is representable in a single double, it was
    returning it in b instead of a.  This was affecting build
    with --enable-ieee-add option.
    
    Bug reported by Jean-Francois Paillard.

commit 76406e421843c7956bd12e5db44d3ef0e7f4a02b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 21 11:04:50 2007 -0700

    Do not compile f_{dd,qd}.cpp without fortran support.

commit 4782048dc725fd559f225bd8fa469e029251a9f7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 20 20:49:46 2007 -0700

    Remove huge from list check_PROGRAMS for now.
    
    This is removed from standard "make check" until it is more
    stable.  On some platforms the rounding seems to be different
    for some reason, causing it to spuriously fail.

commit 7e2b8c2d2dcba2db72e5d1c0561f937311502257
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 20 20:48:22 2007 -0700

    Update NEWS for 2.2.4 release (again).

commit 9ff63a87fa4a012b01522962dd8bea319e84e2e5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 17 00:29:17 2007 -0700

    Fix indentation issues in fortran/qdmod.f and fortran/ddmod.f.

commit 0ae13f30184b4f1ff411db5a8d2660a65dc66a8f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 17 00:23:34 2007 -0700

    Added safe_huge interface to Fortran interfaces.
    
    These returns the maximum number that is safe to use in
    arithmetic operations.

commit 07d05fafd961e35dc1938a2c9db2c244ce4a456a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Mar 16 07:59:54 2007 -0700

    Added safe_max constant.
    
    This is a maximum value where normal arithmetic operation
    can be done on (e.g., multiplication, sqrt).  This is slightly
    smaller than the true max, and is approximately
    2^1024 * (1 - 2^-26), chosen so that split operation does not
    overflow.

commit 59c46215255952e3bd4a1984a6d69e50b119b8ba
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 17 05:48:52 2007 -0800

    Undef min/max for those compilers that likes to define them as macros.
    
    Macros max/min breaks definition of std::numeric_limits<>::max() and min().

commit e4dda14bb85af17304704f3d68926d9efda1ab03
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 17 05:47:42 2007 -0800

    Definition of tic() and toc() should be outside of _WIN ifdefs.

commit a3b03003b3a057fbd6d93d3eebf8c3f844294603
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 13 01:04:15 2007 -0700

    Added range and precision interface to Fortran modules.

commit a9fa3a4492dd2d50105baf32d526a8dab9704782
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 13 00:57:16 2007 -0700

    Added min/maxexponent interface to Fortran modules.

commit 2a05f959630c223a508188dfb2f1cc19157eb887
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 13 00:30:08 2007 -0700

    Added output tests for _max.

commit f4f49a221d5e86e4a1efe8c49f34d783c4009b26
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 13 00:18:46 2007 -0700

    Add special case in write() for huge numbers.
    
    This enables numers up to _max to be printed.

commit cf248c58ec73ca13efb0968c97a03321950ab8e5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 23:53:35 2007 -0700

    Small cleanup in to_digits.

commit 73d360654e8d9b78dbcd7e029e98079aeb349559
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 23:10:55 2007 -0700

    Added huge number output test.

commit 7028c27623a84cff87372408a93a8a3714f38e3e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 20:01:19 2007 -0700

    Make split() work near overflow threshold.
    
    If argumen to split() is near overflow, scale by 2^28 to
    avoid overflow.

commit c1f2e596d88aeffc2a06369e80399d523c2cad9d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 18:47:36 2007 -0700

    Added numeric_limits::max function.

commit 5de86a341ff4ce1ffc4f0db32310d47544378c24
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 17:32:01 2007 -0700

    Added interface to radix and digits Fortran intrinsics.

commit 0d523aa17e04c8e1a45c86f0d716891ecd68c912
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 16:56:25 2007 -0700

    Use slightly more conservative values for eps.
    
    Use 2^-104 for dd_real ,and 2^-209 for qd_real.

commit fbba393db6eaadf0a45a0adc999d949360cf5a2b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 15:21:19 2007 -0700

    String constants should be assigned to "const char*".

commit f9979ef996d7e8ac6f3d1e3ec808a1217a65e54f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 12:13:31 2007 -0700

    Update NEWS for 2.2.4 release.

commit 99a1af3e3d31ef0bd407ccaf01cbe6a96430d46e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 11:55:38 2007 -0700

    Use "cp -pr" instead of "cp -a" in config/makedist.sh.
    
    BSD cp does not have the -a flag.

commit c68065253fd1f84c5ad896eb21fcc7a354a1294f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Mar 12 11:39:23 2007 -0700

    Provide implement random_number interface in Fortran modules.
    
    Random number routines is now a subroutine instead of a function
    to be compatible with random_number Fortran instrinsics, and to
    be able to distinguish by type.

commit b544f0ba337c2fc8ef604ebea6ed2a9e357cd114
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Mar 11 17:14:56 2007 -0700

    Remove RCC from list of compilers on Apple systems.
    
    Due to case insensitive file systems it gets confused with rcc,
    the Qt resource compiler.

commit 7b79931b013e2ba744d405e689ce75fff8b5ced4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 7 21:25:42 2007 -0800

    Update NEWS file for 2.2.3 release.

commit 17ea136f440016f3f6b88f9933ffcd17cf1c48e9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 7 03:31:55 2007 -0800

    Fix sign function in Fortran modules.
    
    When copying signs we cannot just take absolute values of all the
    components since they can have different signs.

commit fbacb1f1cb0c2e6df28742f32b90a0d247385bef
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Feb 21 05:52:10 2007 -0800

    Include fpu.h in dd_real.h.
    
    This way users does not have to explicitly include fpu.h.
    On the other hand, this can cause symbol conflicts.

commit 95ae0708e433ae211cb6ba4314ee16d914b6510b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 17 08:19:31 2007 -0800

    Add note about --prefix option in INSTALL.

commit aabe3e9f23604949b26301316dc5e57ac32e84b5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 17 08:15:52 2007 -0800

    Add fortran/Makefile.sample to the distribution.

commit 6408de131eae81dbbeb66e08f39ec5480c424ece
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Feb 15 16:11:28 2007 -0800

    Make ddoutc and qdoutc use f_dd_swrite and f_qd_swrite.
    
    Modified f_dd_swrite and f_qd_swrite to output identical string
    as was in Fortran.  Some post processing is necessary after call
    to write(...).

commit d0fbbef3998292f66abe16a2f0de67c35406bedf
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Feb 15 15:55:31 2007 -0800

    Output to string (f_dd_swrite) should be limited to 40 chars.

commit f102a8325d9f252cf9dac5ea388d27edebfc0236
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 12 18:27:06 2007 -0800

    Add -long option to qd_timer.
    
    This increases the timing loop by factor of 10.

commit 0695abb6df9055857566aeb921b9419cedd40eba
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 12 18:21:30 2007 -0800

    Get rid of unused base_n variable in qd_timer.

commit 38dc778fbd54ce57b52260c3eb97c48f82103892
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 12 05:04:11 2007 -0800

    Fix timing of sin.

commit aff516c6ac459987ea817ef37446327d180e4d2b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 12 04:59:25 2007 -0800

    Fix spelling error in BUGS.

commit 94d95418ca2c4509a2740f0b3109f3f2331f00e7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 12 04:11:09 2007 -0800

    Clean up qd_timer a bit.

commit c8d781d611274c853d7f2f8a54b79d771f41d2b5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 12 04:07:55 2007 -0800

    Use a fixed number of iteration for qd_timer.
    
    Differing number of iterations on different platforms lead to different
    values involved, causing timings that cannot be easily compared.

commit 8963dc9358dda62358fea46f1d227d1c8fca0cb5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 12 02:24:34 2007 -0800

    Added support for gettimeofday back.
    
    Some systems (e.g. Apple) does not have clock_gettime.

commit 382ba8dcf359686d580741deb5e526328e8cdebb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 12 01:36:40 2007 -0800

    Use clock_gettime to measure time.
    
    This gives a higher resulution timer on many platforms than
    using gettimeofday.  Requires linking with librt on some platforms,
    which is now checked by autoconf.

commit e20ffe2e7d9d9318a5ed81758ef09b2c849bed03
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Feb 9 22:15:16 2007 -0800

    Update qd_test a bit.
    
    For computation of Pi, look at successive differences to
    figure out when to stop.

commit dcfce97ac7a4d759db3587f9c14e17066d246730
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Feb 9 21:49:01 2007 -0800

    Fix dependency of Fortran modules to allow parallel make.
    
    QD modules depends on DD modules to be compiled first.

commit 3dbcbd7b941f5b0ae963295299e95de78aa9c876
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Feb 11 01:02:44 2007 -0800

    Move qd_real::renorm member functions to qd_inline.h.

commit 6511be4e8d999e7591cf10541c8ee5586fc384e6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Feb 11 01:01:09 2007 -0800

    Do not bother setting uninitialized dd_real and qd_real to zero.

commit a4c10bad349e241cb539a7d8571d4c7ef1d4d35e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 10 19:26:17 2007 -0800

    Update NEWS for 2.2.1 release.

commit 9d3dd4af2dad413fea02b467e8bf693b22f2a687
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 10 18:41:17 2007 -0800

    makedist.sh now recognizes a "git" patchlevel.
    
    If makedist.sh is executed with "git" as patchlevel, it will append
    the version with "git-sha1" where sha1 is the first 8-digit of the
    last commit object.

commit 555f56a604075945eeaff78b1948b797d6c5bf43
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 5 00:52:29 2007 -0800

    Rename dd.cpp and qd.cpp to dd_real.cpp and qd_real.cpp.

commit f2b3906c4e34b308810b709f6ea2ab746ac4bf22
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 5 00:37:15 2007 -0800

    Use fixed point dd_real/qd_real output for pslq_test coefficients.
    
    Instead of converting the coefficient to integer, just
    print them out using dd_real/qd_real output functions using
    fixed point format.

commit 4fc89d9a3f0f0fcee6bdf6922df37594bfd7167d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 5 00:36:28 2007 -0800

    Do not print out decimal point if precision = 0.

commit 7c6b3a4c6bd62a712e8f8fe6e9cc94e054099587
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Feb 5 00:28:03 2007 -0800

    Output correct number of digits in scientific format.
    
    When scientific format was specified it was outputting
    one less digit after the decimal point than specified.

commit 827dce46e1a8c099ed998c3621aafc16b9f01d70
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Feb 2 16:37:41 2007 -0800

    Reorder compiler search order for Apple systems.
    
    Since their HFS+ filesystem is case insensitive, it sometimes
    confuses between cc and CC.
    
    [Bug reported for ARPREC by Jacques Vernin.]

commit 951386f36a58bf7fdae0b97b7fc65869c8b8cb08
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Feb 1 01:56:26 2007 -0800

    Update README to reflect dd.h to dd_real.h change.

commit 41b50bbc93df6d2521930b9de38a7d3b8465cda5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Feb 1 00:39:13 2007 -0800

    Updated NEWS for 2.2.0.

commit 7de3918029bfd9d9bf5bf9161a8059ffd4a5ada2
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Jan 31 23:31:18 2007 -0800

    Use std:: prefix where appropriate.
    
    Some routines in std namespace were being used without std:: prefix.

commit 4b5ffa362b3e6d4dcc5f0fa7afa6e7b693d98f1e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Jan 31 22:22:23 2007 -0800

    Detect whether copysign is available.
    
    Configure script now tries to detect whether copysign
    is available in std or global namespace.  If not found,
    it uses a macro.

commit c85394473b96c3f07375b189e755a0dd6e3dbf7c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Jan 31 23:19:30 2007 -0800

    Removed typecast operators double() and int(); added to_int, to_double instead.
    
    Removed overloaded typecast operators double() and int().
    These allow *automatic* casting of qd_real into double or ints,
    which is rather dangerous.  Instead, added overloaded functions
    to_int() and to_double().

commit 9eb316ef18d901d340c98fe449b54d5347de3a68
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Jan 31 18:27:55 2007 -0800

    Cosmetic changes in dd_real.h and qd_real.h.
    
    Update comments and macro names to reflect change
    in the file name (dd.h to dd_real.h).

commit f852c420b455c2d034bbd639fac201df406628bd
Author: David H Bailey <dhbailey@lbl.gov>
Date:   Wed Jan 31 15:08:42 2007 -0800

    Added dd-to-dd and qd-to-qd assignment in F95 interface.

commit 97be577fd6dd39be65830d829923ef7301cf29ab
Author: David H Bailey <dhbailey@lbl.gov>
Date:   Wed Jan 31 03:42:32 2007 -0800

    Added Fortran-95 complex support.
    
    Applied patch from David Bailey providing support for dd_complex
    and qd_complex in the Fortran interface.  Slight modification
    to fit the more recent code base.

commit 6c8ebc1f136f1b0a019fb7acf3cab667aefcf456
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Oct 17 05:02:17 2006 -0700

    Bump version to 2.2.

commit ab8a2e8c92c6dad15aff043dae91c15d78e8f042
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 01:23:56 2006 -0700

    Rename qd.h and dd.h to qd_real.h and dd_real.h, respectively.
    
    Apparently qd.h conflicts with QuickDraw headers in Mac OS X.
    [Bug reported by Michael Rubinstein].

commit 4f2726dda97fd635e0fd3a587c20d08cd7793aa8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Oct 21 03:01:40 2006 -0700

    Update TODO file.

commit 7288f679e11cba2a5fa33df8cdc57c6d1688c90d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Oct 17 05:21:44 2006 -0700

    Install include/qd/bits.h.

commit a66b00e498dd785a757cf553998989c8dbace38e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Oct 17 04:30:24 2006 -0700

    Updated NEWS file for 2.1.214 release.

commit ccc74de950d914a83dfcc16691a9a3f68ce9127b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Oct 17 02:52:09 2006 -0700

    Don't use automake in docs directory.
    
    Starting with automake-1.10, "make distcheck" attempts to build
    qd.pdf from within builddir, which causes a problem since latex
    assumes things are in the current directory.
    
    Updated config/makedist.sh to issue "make doc" before building
    a distribution.  Added necessary files in docs to distribution
    manually in top-level Makefile.am.

commit bf1ac2d68aa33cfcfde06c59139c7a7b12d8dad0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 18:41:51 2006 -0700

    Added rules to create docs/qd.pdf, and distribute it.
    
    Distribute qd.pdf instead of qd.ps.

commit d76b2d3bd395cc8fef959c3b141ae432f00ff6d8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Jun 20 08:42:50 2005 +0000

    Use std::abs where appropriate in src/dd.cpp.

commit 764f4fb6759605fded833dd0c8996e20f0b3b179
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 04:20:10 2006 -0700

    Update help output of qd_timer.

commit 1b120a51d9c93941363ceb1bc75969825a3e869c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 04:18:16 2006 -0700

    Added double timing to qd_timer.
    
      - tests/qd_timer.cpp: Added -double option to time the standard
        double type.  Some small cleanups.

commit 1a46ff72a3eae0dc30a8bb8a4553ed1afedd76c5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 04:16:48 2006 -0700

    Move dd constants to dd_const.cpp.

commit 8f86ac9ef1876e132c02b85bdd0f4d719269e25f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 04:06:49 2006 -0700

    Use more efficient dd_real::sin.
      - Only compute necessary quantities.
      - Optimize sincos_taylor.

commit 9f3b24a9da40d98bb826c3e58a061877c5ae3884
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 03:54:31 2006 -0700

    Added fortran timer programs.

commit 439b88ae46e58ed0f0e15bd7569f0a0be14cf856
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 03:47:04 2006 -0700

    Added sin and log timing to qd_timer.

commit afb2a09be1801c02c77feed83338cb33341a1df7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 03:33:28 2006 -0700

    Update sqrt timing to use result to avoid compiler optimizations.
    
    In order to avoid compilers optimizing away the sqrt call in the
    timing loop, re-use the sqrt result.

commit f9d3e564da03fc4fc461f74fbe36107577663a84
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Oct 16 03:08:48 2006 -0700

    Change output format of qd_timer.

commit 506d8984337ae1604e20c6560ccaa3203a76d84d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Oct 4 14:53:23 2006 -0700

    Drop MSVC++ 6.0 support.
    
    This old (1998) compiler did not have full support of C++ (such as not
    supporting std:: namespace in certain places).
    
    Since there is now a gratis Visual C++ 2005 compiler which is much more
    compliant, I am dropping support for the old and broken C++ compiler.
    
    Changes include:
      - use std::abs instead of _QD_STD_ABS which was defined to be
        fabs for MSVC++ 6.0 compilers.  Similar changes for bunch of
        functions in cmath headers.
    
      - removed double abs function supplied for MSVC++ 6.0.  This should
        be in std:: namespace already.
    
      - small cleanup of using statements.

commit ee965a4d9a84aef557e627400687c866fc4fee08
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Oct 3 22:15:02 2006 -0700

    Use std::abs instead of just abs in util.cpp.
    
    Also need to include <cstdlib> to get integer abs.  Alpha cxx
    compiler seems to be very picky about these things.
    
    Reported by Zong-Chao Yan.

commit fa4a140f6a9671b965198edda4da942b7e7af081
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 23 02:04:20 2006 -0700

    Require autoconf version 2.60.
    
    This is required for AC_DEFINE macros with arguments.

commit 4599d588146bd4937de8b958b4fee380b0801d31
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Sep 22 17:01:42 2006 -0700

    Case integer to string::size_type when using string::insert.
    
    This was causing compilation problems with Intel C++ when -cxxlib-icc
    was specified.

commit 2916f9e0461dc8cda6980060c47c4f1dc26393bc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Sep 22 01:14:12 2006 -0700

    Use static_cast instead of C-style casts.

commit 0a537ebcb706ab5e402504e4ddd4dabd28723a92
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Sep 21 19:20:46 2006 -0700

    Added _min_normalized variable to dd/qd_real for underflow threshold.
    
    This is set to 2^(-1022 + 53) for dd_real and 2^(-1022 + 3 * 53) for qd_real.

commit 5f2b710c3277a489d9e1b7b628ad8324e21a8a06
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 20 07:05:31 2006 -0700

    Undef isnan, isfinite and isinf in include/qd/dd.h.
    
    Some compilers define isnan, isfinite and isinf as macros, which cause
    havoc when we try to overload these functions.

commit e8b06574d5aaf7aa45a6d12de191c7ec01a3841f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Sep 14 20:31:19 2006 -0700

    Output correct macros for QD_ISINF and QD_ISFINITE.
    
    It was outputting the same macro for QD_ISNAN.

commit af47faf3271cf598084b3f07195d95d2c6ea63d9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Sep 14 03:42:54 2006 -0700

    Use std::printf instead of just printf.
    
    IBM xlC compiler on Apple does not like using statements for printf.
    Similarly, use std::sprintf.

commit 3377b1ec6e1c1dc6505e3bf67444ff646b5c9dc9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Sep 14 02:29:25 2006 -0700

    Return with error if max element cannot be found in pslq.
    
    This shouldn't really happen unless there is a bug somewhere.
    It's better to catch it than segfault.

commit 1a329df3568dbf51083458531828698e23ef7130
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Sep 14 02:22:23 2006 -0700

    Added work around for Sun C++ compiler in pslq_test.cpp.
    
    For some reason Sun C++ miscompiles the code if eps argument
    to pslq_test<T> is set to std::numeric_limits<T>::epsilon().
    Work around by creating an overloaded version of pslq_test<T>
    that just passes std::numeric_limits<T>::epsilon().

commit 6a394af4e0156d3faf7cb36b1ece10eacbd8725e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 13 17:46:51 2006 -0700

    Change verbosity to an integer in pslq_test.
    
    This way levels of verbosity can be controlled.

commit eaa85dbba2b8d56d742e9608989b37a6e6c95ec3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 13 02:22:44 2006 -0700

    Output correct character in to_digits when first digit becomes 10.
    
    First and second digits where not set when first digit overflowed
    to 10.

commit c7af059005fc9686272db00341a44dffdd55ae7a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 13 02:20:55 2006 -0700

    Added BUGS file, documenting problem with pathCC-2.4.

commit 3fcb3a44f43fa599c133180c50143cdd230022b8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 13 01:55:02 2006 -0700

    Output std::string directly to ostream in operator<<.
    
    There is no need to output them character by character.

commit 2386fa1ce89d1f81115d75862e2a77508f2b8e65
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 13 01:52:27 2006 -0700

    Removed conditional compilation of debug routines.
    
    These were omitted when QD_DEBUG was defined, but now
    include them since they are useful and does not affect
    performance.

commit f77b577a268a3e0ec9f63fbe957df7ba7c4bbdf7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 13 01:14:10 2006 -0700

    Added QDMODULE.mod and DDMODULE.mod to fortran/.gitignore.
    
    These all-caps files are generated by pathf95 compiler.

commit ccda8948a336ef7707bc1cc5adae696755e3c831
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 13 01:11:59 2006 -0700

    Print out pslq_test information before pslq is run.
    
    This way we know the test values even when pslq crashes
    in the middle.

commit ad42f5dc04430d08668600a44b731790b9ed86d1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 13 01:09:37 2006 -0700

    Remove reference to n in pslq_test.
    
    This is no longer used.

commit 078e87a4754ad441dd3dcf01dd8744491f5f3c64
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Sep 13 01:01:22 2006 -0700

    Make numeric_limits<xx_real> inherit numeric_limits<double> publicly.
    
    This way all the numeric_limits<double> constants are also inherited.

commit 1d0892513029e9091ca64556cdf337016e4bdaeb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 06:29:01 2006 -0700

    Use QD_ISNAN and QD_ISINF in bits.cpp.
    
    Also removed extraneous defines.

commit 0e8e475d2a6c6258a6220241484783bfbcd6a348
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 06:18:26 2006 -0700

    Update pslq_test.
    
      * increase default max iteration count
      * print out the root r
      * increased the threshold for residual to 10 times error bound
      * removed obsolete -n argument
      * updated p and q values for testing (so that they are within reach
        of each precision)
      * print out summary of test results

commit 56e3a8d93776501eb50c6846b1203b50e38d35e8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 05:53:55 2006 -0700

    Set _ndigits to 31 and 63 (instead of 32 and 64).

commit 62d462064b33656186c52ab837aa445757d0cdb3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 05:51:20 2006 -0700

    Added constants digits and digits10 to numeric_limits for dd_real/qd_real.

commit 4b202990c59d3c9dab693f3d210688b27f0945b5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 04:51:45 2006 -0700

    Use ax_cxx_isxxx macros for isinf, isnan, and isfinite.
    
    These macros will determine which namespace (if any) these
    C99 functions are declared in.  If it is not found, it defaults
    to a custom macro.

commit dfc92915dd0ef58370468d766ff55303a413cc1f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 02:59:07 2006 -0700

    Use isnan, isinf, and isfinite in global namespace instead of std namespace.
    
    Since these are not C++ functions, they may not be in std namespace.

commit 6ca92a72753f7e254461b46e813cc94e4a116986
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 02:21:50 2006 -0700

    Added isinf, which checks whether the first element is infinite.
    
    Modified configure.ac to detect C99 isinf and uses it if available.
    It defines QD_HAVE_ISINF if it is available.  Otherwise it uses
    the macro ( (x) != 0.0 && (x) == 2.0 * (x) )

commit 41c677c04662be069b85e91001d2ff6da1b691be
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 02:15:41 2006 -0700

    Remove detection of finite() function.
    
    This is now replaced by isfinite(), which is a C99 function.

commit 9db7bb457443b923ffcc1ba7f7dbda8b37371480
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 02:14:35 2006 -0700

    Added isfinite, which checkes whether the first element is finite.
    
    Modified configure.ac to detect C99 isfinite and uses it if available.
    It defines QD_HAVE_ISFINITE if it is available.  Otherwise it uses
    the macro ((x) == 0.0) || ((x) != (2.0 * (x))).

commit bf18d7a844dc4fe87622a36aaa19e3c773937b11
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 02:05:02 2006 -0700

    Use QD_HAVE_ISNAN instead of HAVE_ISNAN in bits.cpp.

commit 1baf4392475e785e30f05a018becb826a899d9a1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Sep 11 02:03:04 2006 -0700

    Include bits.cpp as source even --enable-debug is set.
    
    bits.cpp contain useful debugging functions that should
    be available (without performance slowdown) even when
    debugging is disabled.

commit b905e191624322e08a9d2903fdfaefddd3726aa4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 23:01:08 2006 -0700

    Support output of NaNs.

commit a67f54379eb5aec9bb486c7b7852c7c29c9df169
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 22:56:18 2006 -0700

    Added isnan function.
    
    This uses the QD_ISNAN macro, which is defined to be std::isnan
    if C99 isnan is available.  If isnan is not available, it does
    (x) != (x).

commit 8a8e169241e8df8f2014a3691a13c44540cd68ab
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 21:51:11 2006 -0700

    Make pslq_test residual test more lax by factor of 2.

commit a60d2bf66e4f4a98f039eb8bd6913fb8e4aebd08
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 21:44:11 2006 -0700

    Added couple more tests to pslq_test.
    
    Test different p, q values as well.

commit 37a44582ac537351c997849ae5f25bbc0dd894ba
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 21:48:44 2006 -0700

    Prettify the output of pslq_test.

commit 29997b9b4e3dab9efb850bf2ff4ae1f33295dea3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 21:14:22 2006 -0700

    Remove unused polyroot template function in pslq_test.

commit b5b053a969d074eb84b0e5ccc2f8b04db310ff15
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 21:07:34 2006 -0700

    Change pslq_test to use 2^(1/p) + 3^(1/q) instead of random polynomial.
    
    This removes the randomness of the test and avoids failure of
    Newton's iteration in polyroot function.

commit e3ef2b7df06996dcb157c21cc9d7ec6361cb0746
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 20:04:56 2006 -0700

    Add running error bound to polyeval in pslq_test.

commit 360de7f3aabeabb9050b628e9710feb2ae8f2568
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 19:34:12 2006 -0700

    Use more sane defaults to pslq_test.
    
    Use eps = numeric_limits<T> and max_iter = 10000.

commit ac7246a093712fbbb9c04114d1cada05b1e03deb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 03:41:19 2006 -0700

    polyroot and polyeval does not need to be declared friends.
    
    Prototype of polyeval was added.

commit 8225b9263e62abd08bc90b36da9652f63baa8eb3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 03:21:22 2006 -0700

    Update TODO.

commit a1943e93417dca6538c5fd479b1d84805bbf6277
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 03:15:31 2006 -0700

    Change stopping criteria of polyroot to max(abs(coeff)) * eps.
    
    This allows for large or small polynomial coefficients.

commit ec2132fcb79c39074a682acb962766d7af798468
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 02:32:57 2006 -0700

    Update TODO.

commit 52dd9fe47ce89d96b1708e7d0e513ebdba902c25
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 02:01:00 2006 -0700

    Use numeric_limits::epsilon in cpp/pslq_test.

commit 1bfadc76ae152c461bf0ebd7c092c00961a2a728
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 01:58:02 2006 -0700

    First try at implmenting numeric_limits for dd/qd.

commit dc0799654ccba30b7101cb599fc0b81eab70560d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 10 07:13:24 2006 -0700

    Remove randomness from pslq_test.

commit 0461d1f5557eb6b8f54799594121da35b3d54b3d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 9 23:49:17 2006 -0700

    Return _nan when polyroot fails to converge.

commit b09b2bb8be34c846a97a8009f9c751aefefeb4e7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 9 23:47:37 2006 -0700

    Added max_iter parameter to polyroot.

commit e590c35b09293372989be280e445d5644e85a828
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 9 23:42:08 2006 -0700

    Use _eps as default threshold parameter to polyroot.

commit 513e14169bf5fd1c89dabf74289c9957a97183a5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 9 23:37:37 2006 -0700

    Use static_cast instead of C-style cast in polyroot.

commit 0733dc6b65867c5f4d9b403e17d8fa6611b7b6c0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 9 22:26:45 2006 -0700

    Use libqd.a and libqdmod.a directly instead of relying on -llib format.
    
    This allows automake to keep track of changes in the library archive
    and re-link when necessary.

commit da29b2da296160105b149a236b31823fc2bfa80d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 9 17:11:41 2006 -0700

    Added phony targets to .PHONY in Makefile.am.

commit 006d21fe3a4bffa112e707bdf7bbba94f0d3aa4d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 9 17:07:49 2006 -0700

    Added cpp-demo and demo targets.
    
    cpp-demo target makes all the C++ programs in the tests
    directory.  demo target creates both fortran-demo and cpp-demo.

commit 2f1f40db1da24b3d66c7911e0ac4d5e9f6d5dee0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 9 17:06:57 2006 -0700

    Make quadt_test use tictoc.h instead of the old timer.h.

commit fa397e66ce9b9440d544bfcf081fe3f24147a1c4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Aug 30 22:57:40 2006 -0700

    Drop libtool use for now.
    
    Libtool was causing some problems with Solaris and Apple
    systems.  Shared library is not particularly useful for qd
    since big portion of the code is inlined to use programs
    anyways.

commit 78905da37d99bfdb2c6cae3be9f4423bae6a8099
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Aug 30 22:25:06 2006 -0700

    Updated config.guess and config.sub with latest version (2006-07-02).

commit 6de1f531d0a4455f2829d09f7b1be04c339e3460
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 29 06:03:07 2006 -0700

    Added x86_64 Intel compiler support.

commit 23f25f8410935cf1a12753e399c5ce7171ff8597
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 29 06:02:06 2006 -0700

    Combine cases for ia64 and x86 intel compilers in configure.ac.

commit 553976f1264b21ea15d90435a49a4db750616c8d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Sep 2 15:54:32 2006 -0700

    Update routine name in the error messages in to_digits.
    
    It was referring to the old routine name to_str.

commit 6124549941f4048aa935404081eba3771d0500c7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Aug 24 02:45:17 2006 -0700

    Updated custom m4 macros to start with AX prefix.

commit 4c4b3dedeb4c9edfcc6e84dcda0475eac957d562
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Aug 24 02:20:39 2006 -0700

    Added compiler option to --enable-fma.
    
    This mode assumes the compiler generates correct code.
    Few minor cleanups.

commit 93043441d62d1dcb6663e2d04f8652355f38acca
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 22 21:36:58 2006 -0700

    Added --enable-fma=gnu option.
    
    This uses GCC's __builtin_fma.

commit d0336488d0f873432eda624bcf54d63d1e8830ab
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 22 21:30:34 2006 -0700

    Only check for IBM __fmadd and gcc __builtin_fma for fma.
    
    Using C99 fma with Apple/gcc-3.3 causes some problems.

commit 30120363687723a35c685ef8a2c778118ee565c0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 22 20:44:34 2006 -0700

    Look for gcc's __builtin_fma when looking for fma functions.

commit 4631339b71c6c7b516e68e284577f6710b2049f6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 22 16:40:09 2006 -0700

    Stop searching for fma at the first available function.

commit 69b3a0791511b95e39c9f6c9d8a3b35c0ef92a6f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 22 16:28:18 2006 -0700

    Split fma detection in configure.ac into m4/acx_cxx_fma.m4.

commit e3502f6036ac4ac2f6f3ba61285fceae7179891e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 22 15:39:21 2006 -0700

    Attempt to use C99 fma on powerpc platforms (for xlC use __fmadd).

commit 01ce98cebfc3f88edf41a16b28e9753fae3b87fb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 22 15:22:48 2006 -0700

    Try to test correct rounding of fused multiply-add/subtract.

commit 084b36358403ea670e28540a12d6a7b82792cc31
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Aug 22 00:07:21 2006 -0700

    Clean configure output regarding fma and fms.

commit 6f2eb6b4f6948aeffea14d66c790e24072d88e2b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Aug 21 23:52:58 2006 -0700

    Initialize fms="none" in configure script.

commit b8a974e9e6958aa855fd24e88b29b9be93ddc789
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Aug 21 23:01:43 2006 -0700

    Added QD_FMS to include/qd/qd_config.h.in.

commit 82c8e41755046f5802aa3b394fedb042b81054d1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Aug 21 22:29:34 2006 -0700

    Print out fms macro at the end on configure.

commit cbdd2a5176fbe8ed71d8c1ce06d6be9fe3afbb73
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Aug 21 22:23:47 2006 -0700

    Use fused-multiply subtract (instead of fma) if available.
    
    Using fms is more straightforward than using fma directly.
    Of course, fma can be used by fma(x, y, -z) if fms is not
    available.

commit a7f86187fd55c77202fc90b7995cc4f73d36adf1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Aug 21 21:53:50 2006 -0700

    Add arguments to the QD_FMA macro.
    
    Instead of just declaring QD_FMA, add x, y, z arguments so that
    QD_FMA(x, y, z) computes fl(x * y + z).

commit 35ceb33b80d01e18c0d5c0da8050d4ec42718e00
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Aug 20 05:04:46 2006 -0700

    Delete space around assignment in configure.ac.

commit a6ac7e70435ff394517255bf01c40c5ed2820a1e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Aug 20 02:43:25 2006 -0700

    Take the best time out of 3 in qd_timer.

commit e68f8e49a8ca86d581d0029463cfb0c3c997e357
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Aug 20 02:12:42 2006 -0700

    Reduce minimum time in qd_timer to 0.05 seconds.

commit e6f635239382b9d2e54221af66687d2b694923c2
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Aug 20 02:06:12 2006 -0700

    flag_verbose can be declared static in qd_timer.cpp.

commit f9e1e027e7cea084c2d4cf22a7c7042a4369f512
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Aug 20 02:00:03 2006 -0700

    Use appropriate compiler options for VisualAge compiler on Apple.

commit 75b5bf4167c27ccf8ce911dcb9fbf136d8fdc8b4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Aug 20 01:59:29 2006 -0700

    Renamed timer.{h,cpp} to tictoc.{h,cpp}.
    
    The struct TimeVal renamed to tictoc as well.

commit 13d93e05b22a1855756a86168fd10c088ace8171
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Aug 20 00:30:13 2006 -0700

    Update --enable-fma configure option to include c99, none, and auto.
    
    auto detects IBM VisualAge C++ builtin __fmadd function.
    c99 attempts to use C99's fma function.

commit 1ec752ad9ce671eb825b9cc027a51b729a285689
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Aug 19 17:24:31 2006 -0700

    Move renormalization routine into qd namespace.

commit 1e69ce1396d58183e52026d423c65e6d61ff78b1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Aug 19 16:59:54 2006 -0700

    Make both sloppy and accurate versions of div and mul available.
    
    Added sloppy_{div,mul} and accurate_{div,mul}.  Previously a
    compile-time define was used to pick one, and the other was not
    available.  Since operator overloaded function is inlined, it
    can be overridden by the user by re-defining QD_SLOPPY_DIV
    and QD_SLOPPY_MUL.

commit 3e97f5ee36a600f17a410f66abed243a7b34c979
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Aug 18 20:51:57 2006 -0700

    Added ieee_add and sloppy_add for additions.
    
    Instead of just having one version depending on QD_IEEE_ADD,
    include both as standard routines.  The overloaded operator
    will choose the appropriate one (at compile time) depending
    on whether QD_IEEE_ADD is defined.

commit 4c67625a428a366620db2d6357b93a1b650d1975
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jul 15 04:40:21 2006 -0700

    Use datarootdir instead of datadir in qd-config.in.

commit e5a8f777be583580eb31fb1c2415c292cb6b40e7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jul 15 03:32:06 2006 -0700

    Updated fortran/.gitignore to include demo programs.

commit a44f0018d83eea5715522ee0b249abafa31939ce
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jul 15 03:31:07 2006 -0700

    Removed reference to erfc in tquadtsq2d, it is not used.

commit 22aedd0723951c81f4e684c3986b71f791a5c659
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jul 15 02:19:26 2006 -0700

    Renamed fortran_test to f_test.

commit 0d970ce78d44f24f830c2d899754a7aeb0906f36
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jul 15 02:12:08 2006 -0700

    Emit error message when making f95 programs without f95 compiler.

commit 734925596a0a53d6d351ba3d4fc27996d36b38ee
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jul 15 00:56:36 2006 -0700

    Added several f95 compilers, re-order fortran compiler list.

commit 05d3d714ea287bf35d422e9b27d4bf22a2ab25b8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jul 15 00:54:45 2006 -0700

    Use default compiler search order for cygwin, added pathCC compiler.

commit 95ca56edf04e910679e840e1426b1cbaaecf83cf
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 07:33:48 2006 -0700

    Don't put merges in config/makedist.sh.

commit 3db582bbb732a437a1214a2574377f4b46b0c5ab
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 07:23:23 2006 -0700

    Use GetTickCount() for timer in Windows.
    
    MSVC++ does not have gettimeofday so use Win32 API GetTickCount
    to get subsecond accuracy (~10ms resolution).

commit 723c421c4b2b6f7cce50ba1a928d8e4f31891ef4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 07:10:42 2006 -0700

    Add quadt_test to tests/.gitignore.

commit a2c2919670bc920b25a12c3e231ec7600caf415b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 07:08:53 2006 -0700

    Added time target to the toplevel Makefile.

commit 6bb2e8eaac16fe1a95459a1d521e820d97294544
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 07:04:14 2006 -0700

    Added more .gitigore entries.

commit 9f0e2ffdb111104f820a4dc948928336f2f2a961
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 13:34:30 2006 -0700

    Emit QD_API symbol in include/qd/qd_config.h.in.
    
    This makes it more compatible with MSVC++ sources.

commit 5b6aee8d8938f203a4577b28d268d37144bf18ab
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 12:42:48 2006 -0700

    Added QD_API prefix to visible routines.
    
    This helps create a windows DLL by identifying which
    routines to export.
    (cherry picked from 832294f8ebd22593cb743e29cb5ec8e8bfa2f750 commit)

commit b3f754ef4ca34d3aed46895d85f2f4cf3c39615d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 12:02:05 2006 -0700

    Use numeric_limits<double>::quiet_NaN instead of C99 nan() function.
    
    This seems to be more widely available among C++ compilers.

commit 7c83a6e4fc0f4f9593d44c82d894d7efbdfc60ad
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 07:22:01 2006 -0700

    Added .gitignore files.

commit 1cd82e0aca302dbd7d64d96dbae59865ed345dbe
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jul 13 06:54:39 2006 -0700

    Create ChangeLog in config/autogen.sh.

commit c368186839b28f2c4567f9905dc7263edc984d67
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Jun 18 15:29:35 2006 -0700

    Removed gnu-arch related files.

commit ea38d63d3558a8e10e14f427b043f4f6723ec80e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Jun 18 05:38:39 2006 -0700

    Migrate distribution making process from gnu-arch to git.
    
    Use "git log" to generate ChangeLog.
    Always require patch-level argument to config/makedist.sh.
    Removed pristine target in Makefile.am.

commit f653c8ab9f8264bc70b90930c2d1941f1e4d7b33
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Jun 18 05:28:51 2006 -0700

    Don't generate ChangeLog during config/autogen.sh.

commit 68051de3294e3da829fb23d7882f958af18ca54e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jun 10 10:47:08 2006 +0000

    Added quadt_test to CLEANFILES in tests/Makefile.am.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-214

commit 08cd8bc1ba9043e0d96228f30175236bf8033dbc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jun 9 14:42:50 2006 +0000

    Update README to reference qd_timer and quadt_test.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-213

commit bab802fa51a66f57933b7ab46d8f9c9c06b925ec
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jun 9 14:40:10 2006 +0000

    Added quadt_test as target in tests directory.
    
    * Added quadt_test to EXTRA_PROGRAMS in tests/Makefile.am
    * Renamed quadt.cpp to quadt.h since this is a file that is
      included by quadt_test.cpp.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-212

commit 524f277fb715abc441d568ffffca80d381e1a1c1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jun 6 22:30:44 2006 +0000

    Updated automake config/ files to 1.9.6.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-211

commit a1bfb7541c637d67bb1d376eb02afc20733cec78
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jun 6 07:32:14 2006 +0000

    Return exponent of zero for 0.0 in to_digits.
    
    * src/dd.cpp, src/qd.cpp: Make to_digits set exponent to zero
        when dealing with zero.  Previously it was not set at all.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-210

commit 78d8250ecb6b1ccaa9506017c8d60e69790172ad
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jun 6 07:20:46 2006 +0000

    Fixed to_digits to handle unsigned char case.
    
    * src/dd.cpp, src/qd.cpp: Function to_digits assumed char to
        be signed.  On some systems / compilers char is unsigned,
        causing problems when a digit was negative (can happen
        due to roundoff).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-209

commit 7cacc94dce1f75d7e68f1e8d41c57d088d492115
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jun 3 04:23:42 2006 +0000

    Fix bug in handling of zero in to_digits (dd.cpp and qd.cpp).
    
    * dd.cpp, qd.cpp: In to_digits function, fix handling of zero.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-208

commit 7893fe900bb6d70af59b5d18799912dadafefe00
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jun 2 23:49:43 2006 +0000

    Detect all blank lines in qdinpc and ddinpc (in fortran).
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-207

commit 2764b8c4bc670f0e505a1028235bb44e997b7750
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jun 2 23:47:18 2006 +0000

    Clean up fortran codes (eliminate most compiler warnings).
    
    * Eliminated most compiler warnings from ddmod.f and qdmod.f.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-206

commit 11cf6712240bf8fc152099c06c45407f6df744b2
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jun 2 23:06:08 2006 +0000

    Rename all fortran files with .f suffix (instead of .f90) suffix.
    
    * Renamed all fortran files with .f suffix (instead of .f90) suffix.
    * Appropriate changes in configure.ac and Makefile.am.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-205

commit 26ea6bbf5f6d91c8c53ac3969b6be83da6c70048
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jun 2 22:28:08 2006 +0000

    Pass "0" to nan function, instead of NULL.
    
    * include/qd/inline.h: passing NULL as string to nan causes segfaults
        on some systems.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-204

commit 61567ef469ff19bdbf941462d984924cdc6aa31f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jun 2 22:21:55 2006 +0000

    Use nan() function if available.
    
    * include/qd/inline.h: Use nan() function if available
        instead of 0/0.
    * configure.ac, include/qd/qd_config.h: Detect whether
        nan() is available.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-203

commit cab4e380a1688498364c5cd29f4ab578578a84e8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat May 27 06:01:24 2006 +0000

    Cast to unsigned int when calling s.insert.
    
    * src/dd.cpp, src/qd.cpp: Cast to unsigned int when calling s.insert.
      Sun SUNWspro 9.0 compilers were complaining about this.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-202

commit 3c1f865cfd5f11c3c793b8f3ed4c4ed528eaedda
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Mar 10 09:22:22 2006 +0000

    Output offending string during illegal input in qdinpc.
    
    * If qdinpc or ddinpc encounters an illegal syntax, output
      the offending string.  Helpful for debugging.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-201

commit 6bd35e58d53fc65432a63f556d8724c9ba6c007e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Feb 22 00:07:26 2006 +0000

    Added qd-to-qd copying to qdreal interface (and similar for dd).
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-200

commit 3cad2b3189066b088c4598237500905e3630007b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 18 05:01:57 2006 +0000

    Change name of constant qd::qd_nan to qd::_d_nan.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-199

commit b719fb312cea7c2f7a148bd9d03b1c04736d18e6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 18 04:15:44 2006 +0000

    Fix routine names in error messages.
    
    * dd_real::polyroot routine should use dd_real instead of
      qd_real as class name.
    * qd_real::sqrt should use qd_real as class name.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-198

commit ef6b9266f919e2e3da936b2b48f3f5f2af20a37d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 18 04:09:49 2006 +0000

    Emit error message for qd_real square root of negative numbers.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-197

commit c09be805500e00b424338d99682cc2d208591c29
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 18 03:54:00 2006 +0000

    Added dd_real::_nan and qd_real::_nan.
    
    * Currently a rather naive way of just assigning 0.0 / 0.0.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-196

commit 38f2a0313bd44ff43dda9d62619dfb33b69dec04
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 18 03:37:14 2006 +0000

    Make abort() do something more sensible than calling exit().
    
    * abort() now prints out the error message but does not
      call exit.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-195

commit c6961ad09c1687fdbda17f545ae1e8f36dd7f1bb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 18 03:02:49 2006 +0000

    Use ax_f90_module_flag macro to figure out the flag to specify module directories.
    
    * Instead of relying on $host, actually test what flags
      to use to specify module directories.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-194

commit f42ddff487707865c5e1e4c3feb237081f5393fe
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Feb 18 02:27:56 2006 +0000

    configure now supports differing module file names.
    
    * Added m4/ax_f90_module_style.m4, which detects module file
      naming style (currently upper/lower case and the extension).
      The macro is based on ax_f90_module_extension.m4 found in
      autoconf-archives.
    * configure.ac modified to use this macro, extract out the
      upper/lower case and the extension.
    * fortran/Makefile.am modified to name DDMOD and QDMOD variables
      accordingly.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-193

commit 4857d1952197a5b6ec4c27df5f20f2820015dcb7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Feb 10 11:01:21 2006 +0000

    Make qdread and ddread ignore extra characters at the end.
    
    * This is more consistent with read statements in fortran.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-192

commit 5ac2ca25a09381dff5c44867487e20be3decfb17
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Feb 2 08:17:38 2006 +0000

    Added sign(dd, d) and sign(qd, d) fortran interface.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-191

commit ff70b60fcbf8685f209985d2ff56c606342031ad
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Feb 2 08:13:33 2006 +0000

    [fix] Fix ddsign and qdsign in fortran module.
    
    * In call to sign(a, b), it was comparing b to a, instead
      it needs to compare b to zero.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-190

commit 9de4717931e7c68c79504d844b07a68598127fae
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Jan 25 18:52:17 2006 +0000

    Added epsilon, huge, and tiny function to fortran interface.
    
    * fortran/ddmod.f90, fortran/qdmod.f90: Added epsilon, huge, and tiny
      interface.  Renamed qdeps to d_qd_eps, the double precision version
      of epsilon.  Added constants qd_huge, qd_tiny, and qd_eps.  Similar
      changes to ddmod.f90.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-189

commit e05b7b9602022b6bd79200d8bf599aff20c7cd4d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jan 24 21:09:07 2006 +0000

    Include call to fpu_fix_start in fortran/main.cpp.
    
    * Call fpu_fix_start in fortran/main.cpp so that the fortrain
      main subroutine (f_main) does not need to explicit call it.
      This can be overridden by providing one's own main function
      if desired.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-188

commit 6c395f5392edccf241073df39d4b00c1d4f9c7bb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 21 05:34:54 2006 +0000

    Added nint function fortran interface.
    
    * fortran/ddmod.f90, fortran/qdmod.f90: Added nint function.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-187

commit d191cb5e15eeceed3ee4aa9c7f045d0f60bd95cb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 21 05:20:25 2006 +0000

    Added comparison to integers to fortran interface.
    
    * fortran/ddmod.f90, fortran/qdmod.f90: Added comparison to integers.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-186

commit 86e5fce9ec2a1a00af9e8ead5f7f5381dcf613a1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 20 20:36:13 2006 +0000

    Added more general min / max to fortran interface.
    
    * fortran/ddmod.f90: Added more general min and max function.
      qdmin2 computes the min of two dd numbers, while qdmin now
      accepts up to 9 arguments.
    
    * fortran/qdmod.f90: Similar change as above.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-185

commit d970b393f1067e613615164bbbac30d48a685fcc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 20 20:24:26 2006 +0000

    Added conversion to integer in fortran interface.
    
    * fortran/ddmod.f90: Added conversion to integer to_int_dd.
    * fortran/qdmod.f90: Added conversion to integer to_int_qd.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-184

commit 6536c46f85727ef39315b7ace90235c0d3416798
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 20 20:20:11 2006 +0000

    Added log10 interface to fortran interface.
    
    * fortran/ddmod.f90: Added log10 interface to call ddlog10.
    * fortran/qdmod.f90: Added log10 interface to call qdlog10.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-183

commit 305ad3fc80f2246725711829531a1aabe6dad807
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 20 20:16:05 2006 +0000

    Added integer-dd and integer-qd division in fortran interface.
    
    * fortran/ddmod.f90: Added integer-dd division div_i_dd and div_dd_i.
    * fortran/qdmod.f90: Added integer-qd division div_i_qd and div_qd_i.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-182

commit 5ba6f067cc50fd18fe7e66d5a6a8a8d923c9e726
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 20 20:09:55 2006 +0000

    Added integer-qd and integer-dd addition for fortran interface.
    
    * fortran/ddmod.f90: Added integer-dd additions add_dd_i and add_i_dd.
    * fortran/qdmod.f90: Aqded integer-qd aqditions aqd_qd_i and aqd_i_qd.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-181

commit 05f3ce7559fd40dbd0392a219354db567987e5f3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 20 20:04:05 2006 +0000

    Make case in fortan/qdmod.f90 and ddmod.f90 consistent.
    
    * fortran/qdmod.f90, fortran/ddmod.f90: Use lowercase consistently.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-180

commit 44da77f91eb384ac09382cb2fd0792cdb3563d05
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 20 19:53:17 2006 +0000

    Added assignment to and from integers in fortran interface.
    
    * fortran/ddmod.f90: added assign_dd_i, assign_i_dd (assignment to
      and from integers).
    * fortran/qdmod.f90: aqded assign_qd_i, assign_i_qd (assignment to
      and from integers).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-179

commit 677320fa3d410fce779f9392f074a6696444b7c1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jan 17 08:28:32 2006 +0000

    Remove confusion of abs(int) and abs(double).
    
    * Some compilers (such as MSVC++ 6.0) do not provide abs(double).
      Work around this by providing abs(double), or using fabs(double).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-178

commit fc6aa0db318ea1daed5d91deaa0d1a9f757003f5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jan 17 08:14:55 2006 +0000

    Make bits.cpp use _QD_STD_ABS and similar.
    
    * src/bits.cpp: Instead of std::abs, use _QD_STD_ABS
      (and similar).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-177

commit c97dfc230573f04df8b029d65969efdf0d02ee33
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jan 17 07:50:50 2006 +0000

    Add int-to-bool cast in dd.cpp and qd.cpp.
    
    * src/dd.cpp and src/qd.cpp: Added int-to-bool cast
      where necessary.  MSVC++ compiler gave warning about this.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-176

commit 5b07841916a77e629e44b0a2c0b5f48139e7e5bc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jan 17 07:30:20 2006 +0000

    Various changes to make it compatible with MSVC++ 6.0.
    
    * MSVC++ 6.0 does not have various C functions in std namespace.
      (e.g., std::abs, std::exit, std::printf, etc.).  These are now
      declared as macros _QD_STD_ABS, etc., and are conditionally
      defined to be either abs() or std::abs().
    
    * Need to explicitly cast constant 0 to (int).
    
    * MSVC++ 8.0 does not seem to have this problem.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-175

commit 27da6da242135cbcfc9b428c5eb2baf01026b8a5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jan 17 07:08:35 2006 +0000

    Don't use inline constant initalizer in tests/qd_test.cpp.
    
    * tests/qd_test.cpp: some compilers (e.g., VC++ 6.0) does not
      allow static initializers for class constants.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-174

commit 5551bf2999437b6e1e011addb74497bdb7c3493e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jan 17 06:48:21 2006 +0000

    Use slightly more efficient ldexp at the end of dd_real::exp.
    
    * src/dd.cpp: Use mul_pwr2 to multiply by power of two at the end of
      dd_real::exp().
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-173

commit 1486b861daa189b9d9c63e3e1803d4dd28236e91
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jan 17 00:30:20 2006 +0000

    Don't use inline constant initializer.
    
    * include/qd/dd.h and qd.h: some compilers (e.g., VC++ 6.0) does not
      allow static initializers for class constants.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-172

commit 0c4ca5c6961927ee506448962d10a46be6dbef9d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Jan 17 00:06:48 2006 +0000

    Added src/util.h as source for libqd.a.
    
    src/Makefile.am: list util.h as a source for libqd.a library.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-171

commit e57735655e4a2a2bb34f4dc989c59d82a1c3ac83
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Jan 16 23:42:36 2006 +0000

    Implement fixed format and aligned output.
    
    * src/qd.cpp and src/dd.cpp: Added write() routine to C++ routine,
      now used in operator>>.  This now handles fixed format and
      aligned outputs.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-170

commit e3ebbb89d544b8f1a1109bd55730b51a569545f2
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Jan 15 02:15:20 2006 +0000

    Type cast 0 in default parameter.
    
    * include/qd/dd.h and include/qd/qd.h: cast 0 into appropriate
      type in the default parameter.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-169

commit 3dc3a960843dbf9f0284f46f4b9d6d7538208272
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 14 10:14:57 2006 +0000

    Added field adjustment to string output.
    
    * include/qd/qd.h, include/qd/dd.h, src/qd.cpp src/dd.cpp:
      write to string routine now correctly aligns the output.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-168

commit aae24e83b6f4095f6b57405df9cd9472ed8c37ba
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 14 09:32:05 2006 +0000

    Added write to C++ string routines.
    
    * include/qd/dd.h, include/qd/qd.h, src/dd.cpp, src/qd.cpp: added
      write() to C++ string.
    * Added src/util.cpp and src/util.h that includes append_expn function
      to add the exponent field in output.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-167

commit b969401a0e4fdad4f9da101106796dc7ff037229
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 14 08:55:22 2006 +0000

    Stop using variable sized arrays (non ISO feature).
    
    * src/qd.cpp and src/dd.cpp: explicitly allocate and free
      arrays (instead of variable sized arrays).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-166

commit d1d27439ecc8fdedfade1d89b916c2b4e6daa859
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 14 06:53:35 2006 +0000

    Use _ndigits constant instead of 32 or 64.
    
    * include/qd/qd.h and include/dd/dd.h: use _ndigits constant
      instead of hardwiring 32 or 64 in default parameter in output
      functions.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-165

commit b6ca13b8db1ddcd730c83884a4b62aed32e7c216
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 14 05:44:27 2006 +0000

    Added ::to_digits(), restructure ::write().
    
    * Added qd_real::to_digits, dd_real::to_digits.  These now return
      a sequence of digits.
    * Restructured qd_real::write and dd_real::write to call to_digits,
      above.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-164

commit 03646227b3a060a672f1af4120d4ea59bac40e20
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 14 03:28:31 2006 +0000

    Update qd_test and pslq_test to output different number of digits.
    
    * qd_test and pslq_test updated to output different number of digits
      depending on the precision of the variable.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-163

commit 852719582d9123716f31eae96746a54269ff06cb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 14 03:13:38 2006 +0000

    Added ::_ndigits integer constant.
    
    * dd::_ndigits and qd::_digits added.  These roughly represent the
      number of digits of accuracy.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-162

commit 346df51ed322142b9e09693f546208472f887e25
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 14 02:58:29 2006 +0000

    Added showpos and uppercase options to write().
    
    * Added showpos (show positive sign +) and uppercase (use E instead of e)
      options to dd::write and qd::write.
    * cout::operator<< now uses cout format flags (including precision).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-161

commit b1fddc406643058632ec37efebc3ce11b0ca2706
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 13 20:17:15 2006 +0000

    Output only required flags for qd-config --cxxflags and --fcflags.
    
    * configure.ac: set variable REQ_CXXFLAGS and REQ_FCFLAGS to contain
      compiler flags required to use the qd package.  Don't include
      optimization flags.
    * qd-config.in: return only required flags when called with --cxxflags
      or --fcflags.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-160

commit 36ec400ec2a0f5d14b6ab58e2d3a99c7fd0a7038
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Jan 12 21:13:00 2006 +0000

    Added consistent pow interface.
    
    * Added pow(a, b) interface, where a and b are both
      reals (qd_real or dd_real).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-159

commit 33938487a9f718242acb3f565d48aef1bbb5bf7f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 6 20:48:53 2006 +0000

    Updated libtool to version 1.5.22.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-158

commit bc70ea1f3c1fbbfc8cde28aa9f3b3fc75da13af4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 6 20:41:28 2006 +0000

    Fix discrepancy in license.
    
    * The license is a modified BSD license, but some source had
      the "commercial use requires a license" blurb.  Removed.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-157

commit 2eee7aefd44803f8bb3d82963556325bb223d23a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Dec 15 18:46:31 2005 +0000

    Added integer multiplication for fortran interface.
    
    * Now integer * qd_real and integer * dd_real are overloaded
      and should work correctly.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-156

commit 861634392215ea4fd17e3ce707a50d699ad9cc5f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 11 09:00:20 2005 +0000

    Added sign function to fortran modules.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-155

commit acb7db731edc43b34d0f4f0ab589cf8c572fe0d3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 11 08:26:47 2005 +0000

    Added qd_one and qd_zero constants (and dd equivalents) to fortran modules.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-154

commit 7efd01cf335a427996aa40999e556703fdd2c4c1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 2 05:04:14 2005 +0000

    Bug fixes in configure.ac to work on older intel compilers.
    
    * Added -Vaxlib if intel fortran compiler is detected.
    * Check for etime after FCFLAGS has been set.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-153

commit 9810066dd5fb21419b9ff38d4af4ec887b49a982
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Dec 1 21:43:40 2005 +0000

    Added enable-warnings flag to configure.
    
    * Adds -Wall to CXXFLAGS if specified (if using gcc or icc).
    * Disables several warnings on icc.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-152

commit c3eff80dfd555b17b47899057873100e0338b0c6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Dec 1 19:42:37 2005 +0000

    Removed -wd options from intel compiler.
    
    * Older intel compilers does not seem to have these.
      Ideally we should check whether the compiler accepts
      them or not.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-151

commit 16899ebfba05a07a2dffff2ee46fe593da4055b1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Dec 1 06:26:31 2005 +0000

    Updated to libtool 1.5.20.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-150

commit a139eb6726a73875da27d6084fc76e08bcbf6246
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Sep 20 05:54:14 2005 +0000

    Updated libtool scripts to version 1.5.20.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-149

commit c49e16310ab4a19df2ace972807d9065f877e255
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Sep 18 21:56:10 2005 +0000

    Fix abstract in docs/qd.tex.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-148

commit 0a9aa35b0eb6e6c8a5bbfe958dde66e09c918db9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Aug 25 02:57:28 2005 +0000

    Move CC back in compiler search order.
    
    * Moved CC towards the end in compiler search order so that
      on case-insensitive systems it does not pick the C compiler cc
      (instead of C++ compiler CC).  On Sun's this can choose g++
      before CC.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-147

commit 57a9c5b4a7c8459660f137d2d642c3b6e581c8c0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Aug 24 21:13:44 2005 +0000

    Restore line accidentally deleted in patch 143.
    
    * fortran/ddmod.f90: Restore line 819 that was somehow deleted in
      patch 143.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-146

commit 7bb459b27f99484a4989cb4ba5fc6b3ac810ea1b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Aug 24 21:03:28 2005 +0000

    Updated to latest autotool files (libtool 1.5.18).
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-145

commit 171a538a0d920159c61e7bb3303ebbd3c51304e4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Aug 24 20:59:16 2005 +0000

    Fix bug in qdinp in fortran/qdmod.f90.
    
    * fortran/qdmod.f90: Fixed small bug in qdinp (merge of DHB's fix.)
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-144

commit 5aa6b3093e9e886dfa64b138ff7962e55eb527a8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Aug 24 20:55:17 2005 +0000

    Added fortran integer-to-qd convertion interface.
    
    * fortran/qdmod.f90 fortran/ddmod.f90: added integer-to-qd
      convertion interface.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-143

commit c765e38418ce837d7dded8a7ea0f641cf79bf350
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon May 16 04:59:40 2005 +0000

    Add assignment from string to dd.
    
    * Added assignment from string to dd dd_real::operator=(const char *).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-142

commit d998c5bb0cf3c87d5a9206ca0b885779707fa0c1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon May 16 04:44:50 2005 +0000

    Add assignment from string to qd.
    
    * Added assignment from string to qd.  Some compilers
      were complaining about ambiguous conversion.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-141

commit a597d4543dc4b5dd58cc8f27a9a0c2105506e080
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon May 16 04:32:26 2005 +0000

    Upgrade to libtool-1.5.16.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-140

commit 9140f74b52094805ef527e18c7bd89ec21bb4a92
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon May 2 08:23:21 2005 +0000

    Update distributed files in config.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-139

commit d4a77bb646cb522231424600039b67e3a91261de
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Apr 18 07:55:15 2005 +0000

    Fix minor bug in dd_real::sin.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2.2--patch-11
       Fix minor bug in dd_real::sin.
    
       Fix error checking in dd_real::sin.  Should check abs_k > 4 instead
       of abs_j > 4.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-138

commit d4e95b023ce3a92878e6c5ba47557ea6b550c860
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Apr 18 05:52:30 2005 +0000

    Fix comment on default behaviour in qd_test and qd_timer.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2.2--patch-5
       Fix comment in qd_test and qd_timer.
    
       Fix comment on default behaviour in qd_test and qd_timer.
       It tests both double-double and quad-double on default.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-137

commit f60369e39eb6ec3a41f1486472703ed40bfc6d9d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Apr 16 01:44:42 2005 +0000

    Minor cosmetic changes to README and qd-config.in.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-136

commit e27d25a3befcea523e33835b04d863ef49812a70
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Apr 5 07:12:00 2005 +0000

    Add x86_64 as one of platform to enable x86 fpu fix.
    
    * Looks like AMD Opteron needs x86 fix, and gets reported as x86_64.
    * Bug reported by Xuguang Chi.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-135

commit b5f30472e342cab91d5fc8420c627db28b317327
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 30 11:47:44 2005 +0000

    Classify autom4te.cache as junk in =tagging-method.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-134

commit 2fd1a6a0687f6313dc8406977404580d886aedaa
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 30 11:44:57 2005 +0000

    Rename LICENSE to COPYING.
    
    * Follows the recommended GNU practice.
    * Allows automake to be called without --foreign argument.
    * Updated config/autogen.sh and README.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-133

commit 63128e7922f35fcf97f21f409fbf45b7178ecd6e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 30 11:39:05 2005 +0000

    Make "make clean" remove tests/qd_timer.
    
    * Make "make clean" remove tests/qd_timer.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-132

commit 7fd350e78e72e4a32dc121f4122feacd083033a9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 29 09:58:11 2005 +0000

    Get rid or warning in G5 xlC compiler about default parameter.
    
    * Get rid or warning in G5 xlC compiler about default parameter.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-131

commit 92e743cbc3779a7f23b4aecae2e6924186ff0b8d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 29 08:44:49 2005 +0000

    Don't include fortran/second.f90 in distribution.
    
    * Move second.f90 to nodist_xxx_SOURCES so that it is not
      included in the distribution.  This file is generated by
      configure.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-130

commit b8a4c9d1c6b8129f9f450bab0d5e3a245576fe9b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 29 08:17:15 2005 +0000

    Minor tweak in INSTALL file.
    
    * Mention fortran-demo target in toplevel Makefile.am.
    * Mention qd_test and pslq_test is a good demo C++ program.
    * Fix up duplicate item numbers.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-129

commit 68421cdd707e9d156647c2aa5fee064191ed1294
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 29 07:30:52 2005 +0000

    Fix up =tagging-method, add .arch-inventory files.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-128

commit 109b7692c2597c270067c366babba9c23d8b9f1c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 29 06:59:27 2005 +0000

    Add fortran-demo target in toplevel Makefile.am.
    
    * Added fortran-demo in toplevel Makefile.am.  This just goes
      into fortran directory and calls "make demo".
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-127

commit 66f2164cdb0bf646c1d45ab6692e9149c1222c9a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 29 06:43:44 2005 +0000

    Add more blurb about Cygwin problem in INSTALL.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-126

commit 7f739b3bafe390bbd72af3cb963a814198cf8cdc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Mar 20 09:34:28 2005 +0000

    [Fix] Set ddeps and qdeps.
    
    * qdmod.f90, ddmod.f90: ddeps and qdeps now declared as
      real*8 and appropriate value assigned.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-125

commit 4683b7923556be6d77dfde0d725a5835fbf62260
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 19 22:05:16 2005 +0000

    Fix: use qdreal() for conversion in fortran_test.
    
    * fortran_test.f90: use qdreal(x) instead of qd_real(x)
      to convert double to qd_real type.  The latter makes
      an inconsistent qd_real data for some reason.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-124

commit 22c368f8d53483d7a8ff6c5c9c766337492041af
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Mar 18 09:30:15 2005 +0000

    Add appropriate flags for icc compiler on ia64.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-123

commit 63c35ef22607171e86dff4aecd80565dc340aadb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Mar 18 08:39:02 2005 +0000

    Standardize fortran 2D quadrature program names.
    
    * fortran/Makefile.am: Standardize fortran 2D quadrature
      program names.  Use quaderq2d and quadtsq2d.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-122

commit d3023eb14effcbb6507c0659a7ca722d701fc6cd
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Mar 18 08:32:50 2005 +0000

    Add ACLOCAL_AMFLAGS to toplevel Makefile.am.
    
    * Added ACLOCAL_AMFLAGS variable to toplevel Makefile.am.
      Passes '-I m4' to aclocal if called by automake dependency
      tracking.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-121

commit ed5e6aedf9d759a0d64a7fb61b50324a4ff1bffd
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Mar 18 08:14:15 2005 +0000

    Use std::atan2 when calling double precision version.
    
    * dd.cpp, qd.cpp: in dd/qd atan2, use std:: prefix when
      calling the double precision version.  This was causing
      an infinite recursion on alphaev6-unknown-linux-gnu
      platform with compaq cxx compiler.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-120

commit 8447680d85aa1c0ddd2dfebd42a62dafa3f531d3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 17:33:59 2005 +0000

    Don't #include bits.h if QD_DEBUG is not set.
    
    * dd.cpp, qd.cpp: #include <qd/bits.h> only if QD_DEBUG is set.
    * qd_inline.h: remove unneeded #include <qd/bits.h>
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-119

commit 25d115c718f2c34cb359ee701e01990178d2510c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 17:15:06 2005 +0000

    Backout patch-111 that removed QD_DEBUG.
    
    * The file bits.cpp doesn't compile one some platforms,
      avoid compilation (unless --enable-debug) is specified
      for now.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-118

commit 86477e2f0c601a5674f3778940fa27f3addcf7fa
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 10:19:26 2005 +0000

    Use correct exe names in fortran/Makefile.am.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-117

commit 512649af1c34ea2f648d82c166624c36f721710b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 10:15:38 2005 +0000

    Install README to docdir.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-116

commit 6f063daff4fb311317b70a61f4f07bc608a0cdff
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 10:10:46 2005 +0000

    Update docs/Makefile.am to install qd.ps.
    
    * Install qd.ps in ${prefix}/share/doc/qd/.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-115

commit af05adf7b423de06bf1e7b6a5adc533a3c568597
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 08:04:58 2005 +0000

    Classify tests/qd_timer as EXTRA_PROGRAMS.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-114

commit a04e273e1073c6f0b607c1954012e868176c8371
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 07:45:14 2005 +0000

    Change c_xx_read to accept C-style strings.
    
    * Remove the slen parameter to c_xx_read, use the
      null-terminated C-string.  This was a vestige from time
      when C interface was used for Fortran interface.
    * This changes the external C interface, but hopefully
      no one was using the clumsy old one...
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-113

commit 4b776368c0e212af02380d84fcf6fb2e318a445d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 07:22:27 2005 +0000

    Use std namespace for sprintf and printf.
    
    * Use std namespace for sprintf and printf.  These are
      used in debug routines in dd.cpp and qd.cpp.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-112

commit 6eba4d7e32def5a8fcb2702a8cd5b720555daadf
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 07:12:13 2005 +0000

    Remove QD_DEBUG ifdefs.
    
    * Remove QD_DEBUG ifdefs, since these did not affect performance.
      This adds various debugging routines.
    * Remove decision making in Makefile.am based on QD_DEBUG.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-111

commit 6b8a3dc546d92575cf6e208a862cc278931516e0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 06:54:17 2005 +0000

    Reverse the logic of QD_DEBUG in include/Makefile.am.
    
    * The logic was reversed.  Now installs bits.h only if debug
      is specified.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-110

commit 224f46f9550278e8ea8d9321bd7d6ac20442f935
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Mar 17 06:33:42 2005 +0000

    Fix a bug in qdinpc in qdmod.f90; test case in fortran_test.
    
    * qdmod.f90: Fix bug (reported by M. Bibby) where a qd_real
      variable's fourth element was not initialized.
    * fortran_test.f90: Tests the above bug.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-109

commit 3dfc5e1312c3698b6793fb399b38ef9c15e645a6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 16 11:02:22 2005 +0000

    Use correct module include flags for qd-config.
    
    * Use -moddir=<dir> for Sun's f90/f95 compiler to include
      module directories.
    * Other compilers use -I<dir> format.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-107

commit 9283d52d32d3b75361cc3a4c612b5cbca54f16a8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 16 10:59:39 2005 +0000

    Update TODO.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-108

commit 1b700f00ba4a991d50695dc93c2534c0fb765166
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 18:45:14 2005 +0000

    Update README.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-106

commit 3725f552a41f04558d434b3c9650f935c89d6a76
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 18:38:58 2005 +0000

    Add fortran/Makefile.sample.
    
    * Added fortran/Makefile.sample, a sample Makefile for using
      quad-double library with Fortran programs.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-105

commit 500fb7a366a7d252d62a61212dc8d5eec66fae75
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 17:53:09 2005 +0000

    Add --fc option to qd-config.
    
    * qd-config --fc outputs the fortran compiler used.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-104

commit 05f490551737e6c0c202accdee4419ac75228397
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 17:40:34 2005 +0000

    Add --cxxflags output to qd-config.
    
    * qd-config --cxxflags outputs C++ compiler flags to be used.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-103

commit ba085ea0806b570bd207b20ea9dc1735ef4fb8bf
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 17:36:23 2005 +0000

    Add module include dirs and -lqdmod to qd-config.in.
    
    * qd-config --fclibs now includes -lqdmod.
    * qd-config --fcflags now includes appropriate module include options.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-102

commit 852dfddcaf18c53bc3a87ea788063aed318f52bc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 17:02:11 2005 +0000

    Add LDFLAGS to output of qd-config --fclibs.
    
    * Add LDFLAGS to qd-config --fclibs output.
      Before it was trying to output LIBS, which was not
      defined.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-101

commit bcc071ef47322dd30d99e6a7571a1d65859927a3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 17:00:23 2005 +0000

    Update qd-config.in to include --fcflags and --fclibs.
    
    * qd-config --fcflags displays any special flags required by
      the fortran compiler to link.
    * qd-config --fclibs displays fortran libraries needed during
      linking.  (Note: linking should be done by the C++ compiler).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-100

commit b5c56e5705f3bd0e4c4a1a9942b3eaf2d8b2699c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 09:48:31 2005 +0000

    Fix namespace issue in test files.
    
    * pslq_test.cpp: #include <cstring>, using std::strcmp,
        std::rand, std::srand.
    * qd_test.cpp: using std::strcmp.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-99

commit a34e0c30d7f7b78c7ae945f1b7ba7aa9a139631c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 09:45:19 2005 +0000

    Add sqrt prototype in dd.h and qd.h.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-98

commit 58059c8d20aaf347d672d7d915c2b29e1821fd05
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 08:34:13 2005 +0000

    Add -tweak flag to alpha linux.
    
    * Make all template code produced in the output object file.
    * Solves the problem of trying to include templated object
      files into libqd.a (cxx_repository/*.o).
    * NOTE: not a general solution since this can invite code bloat,
      but the current automake/libtool is horrible handling
      external template instantiation.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-97

commit 1b1b35996e9a721b7809f372aa25252d7ca71fd2
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 08:03:59 2005 +0000

    Update config/makedist.sh to take version argument.
    
    * Now can make custom version tar.gz using
      config/makedist.sh <version>.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-96

commit 66c85cbd14bac20d276a7c166a31cd2bb49adaff
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 07:11:12 2005 +0000

    Add cygwin notes to INSTALL.
    
    * Cygwin may require CXX=g++.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-95

commit 5fd35643c7d901dca2b421b28182b4d1e376fc76
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 07:06:47 2005 +0000

    Upgrade to automake-1.9.5, libtool-1.5.14.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-94

commit 989bc3a5c298b82c4d9a2796c0309e8116955386
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 07:04:12 2005 +0000

    Add some function type declaration to ddmod.f90 and qdmod.f90.
    
    * For some reason gfortran (cvs-20050307) complains about
      implicit abs, aint, and dble.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-93

commit ffcca5c2b953c47652660692f974ebc7bdccddb3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 15 06:58:09 2005 +0000

    Use integer exponent in exp function.
    
    * Gets rid of double-to-int conversion in ldexp.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-92

commit c24642ba32fe5c72992cfddde90864648a6ddac3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 09:22:41 2005 +0000

    Update toplevel Makefile.am.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-91

commit 3c2c5d2ef9b96702d5553e7484f45677c4d333e5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 09:10:14 2005 +0000

    Update README and INSTALL.
    
    * Update README incorporating changes from DHB's version.
    * Update INSTALL following the lastest installation methods.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-90

commit a68d3c03d7bc04a20f8e460face46c45158a839e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 08:54:03 2005 +0000

    Merge various DHB changes in fortran code.
    
    * Various changes to f90 code.
    * Polyroot and polyeval was not merged.  These require
      arrays of dd/qd, and is not implemented on C side.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-89

commit 70d3fe1c306f77dfe2c1708073998bfdd7b296c9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 06:17:58 2005 +0000

    Fix some icpc comiler warnings.
    
    * double-to-dd conversion warning.
    * unused variable warning.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-88

commit ff8d60697ce7ae6fc0fce043a46e3dfccc8421d8
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 06:06:10 2005 +0000

    Add qd assignment operators.
    
    * Added assignment operators
        qd_real &operator=(double a);
        qd_real &operator=(const dd_real &a);
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-87

commit 32c6277c40b8b3e07ba1129539b6a0f7828c0eea
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 05:52:45 2005 +0000

    Fix some icpc warnings.
    
    * Remove unused variables.
    * Use int for x86 control FPU word.
    * Use double instead of int in some places.
    * Note not all warnings are removed, some double-to-int
      conversion is done with the knowledge that it does not
      lose bits.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-86

commit 1a86c765f8a1fd155a664abd50350b34532e95eb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 05:34:25 2005 +0000

    Disable few warnings for icpc in configure.ac.
    
    * Disables "external declaration without prototype" and
      "external definition in source file" warnings.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-85

commit 07a03091cfa2e211b6fa40ed759cf71009d00c83
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 05:32:31 2005 +0000

    Minor fix of dd/qd C interface.
    
    * Remove undefined c_dd_npwr_dd_i and c_dd_nroot_dd_i, they
      are already covered by c_dd_npwr and c_dd_nroot.
    * Declare input to c_dd_npwr and c_dd_nroot as const double*.
    * Do the above for c_qd* versions as well.
    * Add the selfadd/selfsub/selfmul/selfdiv c_qd routines
      prototypes.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-84

commit 2c6e7c85faeaae890d0a59b0b384525a6040c612
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 02:41:16 2005 +0000

    Classify second.f90 as precious in {arch}/=tagging-method.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-83

commit 943eb403e408b5b38ed7b5707f8c5d0c6bc2ef92
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Mar 12 02:39:41 2005 +0000

    Update C++ compiler search order.
    
    * Search specific names first before searching more general
      names (like CC).  Enables on some systems to pick up
      vendor compilers first.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-82

commit 7ba7ffc5f3501af3b8879374ede893aa73b85715
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 17:30:47 2005 +0000

    Add -lm to LIBS.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-81

commit 68b3d9419c55d14c30274b6ad0eb58286a675436
Merge: 96c16c6... 05971cd...
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 17:02:50 2005 +0000

    Merge various autoconf/automake changes.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--custom-m4--0--base-0
       tag of yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-77
    
     * yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-1
       Add m4/acx_fc_etime.m4 with appropriate changes.
    
     * yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-2
       Add m4/acx_cxx_fc_lib.m4 and appropriate changes.
    
     * yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-3
       Fix few bugs in m4/acx_cxx_fc_lib.m4.
    
     * yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-4
       Cleanup C++ compiler flag selection in configure.ac.
    
     * yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-5
       More update to compiler flag selection in configure.ac.
    
     * yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-6
       Use appropriate etime routine.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-80

commit 96c16c6addda94d9e8c5403bc6e601dda986142b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 16:55:22 2005 +0000

    Use abs instead of fabs, more std:: namespace fix.
    
    * pslq.h: Use abs instead of fabs, add using declarations
      for overloaded double operators.
    * qd_test.cpp: Use std::exit.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-79

commit 05971cdd1f9c1cfb1fa499bbb3d724cab179b6a5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 09:38:29 2005 +0000

    Use appropriate etime routine.
    
    * Use appropriate etime routine detected by configure script.
    * Removed fortran/second.f90.  Generated from fortran/second.f90.in.
    * Added fortran/second.f90.in.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-6

commit 01d70c7b8984c52dddd315997cceec973c39e536
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 09:29:48 2005 +0000

    More update to compiler flag selection in configure.ac.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-5

commit 68838a3738c22c0502175c476f17a29f75f2c509
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 09:17:30 2005 +0000

    Cleanup C++ compiler flag selection in configure.ac.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-4

commit 8431dd57a27507cfb8989c68730966175fe0f2ba
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 08:32:50 2005 +0000

    Fix few bugs in m4/acx_cxx_fc_lib.m4.
    
    * Fix misspelling of -lompstubs.
    * Save and restore LIBS.
    * Add extra library to FCLIBS.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-3

commit c63b5b531a02f0c4d2f9c66d37d7f623760f2f03
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 06:15:58 2005 +0000

    Add m4/acx_cxx_fc_lib.m4 and appropriate changes.
    
    * Added m4/acx_cxx_fc_lib.m4.  Detects extra libraries (-lompstubs,
      -lmtsk) needed too link C++ and Fortran.  Needed by some versions
      of Sun f95/CC.
    * Call the above macro from configure.ac.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-2

commit 91987eaf49eed75947bddc39946a371d147e24ca
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 05:37:13 2005 +0000

    Add m4/acx_fc_etime.m4 with appropriate changes.
    
    * Added m4/acx_fc_etime.m4, detects the function name
      (etime or etime_) to call.
    * config/autogen.sh: aclocal now includes the local m4
      directory.
    * configure.ac: replace inline check for etime by call
      to ACX_FC_ETIME.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--custom-m4--0--patch-1

commit 028f717c4fa0141457f167688ee0748a977b4338
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 03:23:05 2005 +0000

    Use std prefix to exit in dd.cpp.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-78

commit 1857a14c0b757d9d8d8c9935452792079691a362
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 01:38:33 2005 +0000

    Fixup std namespace issue in tests/qd_timer.cpp.
    
    * Add using std::strcmp.
    * Use std::exit.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-77

commit b57ed19713ad4c08a62a2bca09e60889530fbf42
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 01:32:44 2005 +0000

    Add "using std::abs" to pslq_test.cpp.
    
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-76

commit 123648437392ec4573dddd4bf20788ff90b13a30
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Mar 9 01:29:55 2005 +0000

    Add std:: namespace prefix to f_dd.cpp and f_qd.cpp.
    
    * Added are std::memcpy, strlen, cout, and endl.
    * Removed using clause, use explicit std:: functions.
    * Thanks to M. Bibby.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-75

commit f293cbd4e4d9168116b0fdd141bb88b537123ec4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 8 22:05:26 2005 +0000

    More std:: prefixes.
    
    * Fix integer abs, strcmp, and exit calls.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-74

commit de0fee1858e5d7287b3317e83e07c422079bc49e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 8 18:44:43 2005 +0000

    Use std namespace for log, sqrt, exp, cos, etc.
    
    * Use std:: version of log, sqrt, and exp for double precision.
    * Declare using std::xxx for various templated code using
      math functions.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-73

commit 341d9faebb9a4012b75c5c77ddeba4612e9e21fb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 8 18:23:04 2005 +0000

    More extensive use of std:: namespace.
    
    * Use abs as the basic definition rather than fabs.
    * Use abs rather than fabs for double as well.
    * Make sure abs, log10, floor, ceil are from std:: space if necessary.
    * Add "using std::abs" for templated code.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-72

commit 5ce84f9560b1d42ec35ae20e06009322daaedfb1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 8 17:57:04 2005 +0000

    Use std::ldexp.
    
    * Use std::ldexp(double, int).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-71

commit 7170c05e02751b9bce814a71b39cc46924a68a35
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 8 17:31:45 2005 +0000

    Use ACLOCAL_FLAGS in config/augogen.sh.
    
    * Allows nonstandard location of aclocal macros.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-70

commit 62c1106cfc22b3234243f0cf843109ea70cd7f71
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 8 05:42:20 2005 +0000

    Fix bug in config/makedist.sh.
    
    * Was using a constant 66 instead of $PATCH_LEVEL.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-69

commit 7ff7ab73dade49f221e2bde2d756bea11933c42c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 8 04:50:56 2005 +0000

    Make it compile with most recent icpc/ifort.
    
    * Require autoconf 2.59.
    * Use specific compiler list for C++ and F90.
    * Add -wd1572 flag for icpc/icc.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-68

commit 5316ff4c72a116dba35e2a34cd630b0628649909
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 8 03:49:41 2005 +0000

    Add config/makedist.sh script.
    
    * Creates a distribution qd-2.1.x.tar.gz where x is the current
      tla patch level.  Note all changes should be committed before
      running this script.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-67

commit 43015cf6be945ead8e1226b95ccc9c6fa38daac6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Mar 8 00:56:20 2005 +0000

    Use std:: prefix for some cmath and cstring routines.
    
    * Use std:: prefix for memcpy, strlen, sinh, cosh, floor, and ceil.
    * Include <cmath> in inline.h.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-66

commit 7317d3ead9bb6afd36199e8de59bccfb138c53d5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 22 11:19:13 2004 +0000

    Use "tail -n 1" instead of "tail -1" for update-version.
    
    * Makefile.am: Use "tail -n 1" instead of "tail -1" in
        target update-version.  The latter has been deprecated in
        coreutils.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-65

commit 0893957b96730338cc49957f69a204dc88619d1b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 22 11:03:23 2004 +0000

    Remove custom compiler lists in configure.ac.
    
    * configure.ac:
      + default compiler list seems to work ok, so remove custom
        compiler list.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-64

commit 966c399aad717adb945df4af2ae74d593f2d4cf3
Merge: a4fc878... 7745010...
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 22 10:50:57 2004 +0000

    Import various f90 fixes from qd--f90-fixup--2.1.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--f90-fixup--2.1--patch-1
       Use .f90 suffix instead of .f suffix.
    
     * yozo@cs.berkeley.edu--qd/qd--f90-fixup--2.1--patch-2
       Append FCFLAGS_f90 to FCFLAGS in configure.ac.
    
     * yozo@cs.berkeley.edu--qd/qd--f90-fixup--2.1--patch-4
       For sun f95/CC, add -lmtsk if needed.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-63

commit 7745010899406248a54a5975fc3566c6f5da3204
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 22 10:34:01 2004 +0000

    For sun f95/CC, add -lmtsk if needed.
    
    * configure.ac:
      + Determine -lmtsk is needed.
      + Move AC_FC_WRAPPERS and AC_FC_MAIN to after determining
        whether -lmtsk is needed.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--f90-fixup--2.1--patch-4

commit a4fc878ccf64bcea721788b4720e0193b9cd5bbf
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 22 09:34:04 2004 +0000

    Define TestSuite::base_n outside of class definition.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--f90-fixup--2.1--patch-3
       Define TestSuite::base_n outside of class definition.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-62

commit 2fc400cc6b00f860292f448a77143a9bb7d5261d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 22 09:32:29 2004 +0000

    Define TestSuite::base_n outside of class definition.
    
    * tests/qd_timer.cpp:  Define TestSuite<T>::base_n outside of
        the class definition.  This was causing compilation issues
        with AIX/xlC compiler.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--f90-fixup--2.1--patch-3

commit a7de5e070b6ca8afe5cee6e8a32f5ac512ce093c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 22 09:30:32 2004 +0000

    Append FCFLAGS_f90 to FCFLAGS in configure.ac.
    
    * configure.ac: Append FCFLAGS_f90 to FCFLAGS since automake
        doesn't seem to do it correctly (at least in ver 1.9.3).
        Technically FCFLAGS_f90 needs to be right before the source
        file name, but it seems to work ok for most platforms.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--f90-fixup--2.1--patch-2

commit 25455e8a4cc95f9b6963a0ac3658f6df69ec05ea
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 22 07:43:05 2004 +0000

    Use .f90 suffix instead of .f suffix.
    
    * configure.ac:
      + Use AC_FC_SRCEXT for extra f90 options, if any.
      + Remove obsolete F77 constructs.
      + Print out FCFLAGS + FCFLAGS_f90.
    * fortran/Makefile.am:
      + Rename all .f suffix to .f90.
    * fortran/*.f: renamed to .f90.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--f90-fixup--2.1--patch-1

commit 9ad8e7a568cc1f80e398baabb71849318cb9c50d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 21 22:35:51 2004 +0000

    Add "pristine" target to Makefile.am.
    
    * Makefile.am: add "pristine" target which deletes
        all generated files (maintainer-clean + all tla precious files).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-61

commit 85111f57162a1a41f9b1241b6ede92214bdcda15
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 21 22:07:57 2004 +0000

    Update various scripts in config dirs to automake-1.9 series.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-60

commit 153b5636d34e89e1b189e0a5fa18382fb60edc1c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat May 8 05:56:31 2004 +0000

    Add verbose flag to qd_timer.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-59

commit fece3230ffec9ced0b597932cdc0c7fd7f03b9ea
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat May 8 05:17:01 2004 +0000

    Add qd_timer program in tests dir.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-58

commit d903c9183b6d33051cc9ab83630baa21f9642265
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat May 8 05:16:00 2004 +0000

    Use AM_CONFIG_HEADER in configure.ac.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-57

commit 6af003f79ce99ed8f7c8effe1f9b112dd3656fe6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Feb 26 22:01:36 2004 +0000

    Define patch level version to "devel" in configure.ac.
    
    * Define patch level version to "devel" in configure.ac.
    * Add update-version target in Makefile.am.
    * "make update-version" must be run (in a clean tree) prior
      to making a distribution.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-56

commit 0ac54eb5ec139277f047290bdf398cfe57a732e2
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Feb 26 01:34:06 2004 +0000

    Fix dist-check failure.
    
    * This was being caused by ChangeLog not put into right place.
    * Update version in configure.ac.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-55

commit c4a9cce57dea00cfe48e9c703a241ba1c0030f5f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Feb 18 21:39:25 2004 +0000

    Use a bit more lax bound in qd_test Test 2.
    
    * Fixes failures when ieee add is enabled and sloppy mul/div
      is disabled.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-54

commit d88d72c539a12502caa445da092dab2d3211b0b5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Feb 18 21:37:31 2004 +0000

    Move quick_three_accum into qd namespace.
    
    * Fixes compilation error under certain options.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-53

commit 68a8df06b7a0ba7acc7ffc2cfd6a5ebe734362e0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 24 09:22:45 2004 +0000

    Updated qd.tex.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-52

commit 7332438dd36f1094f2468bcf216d1d5ac1e55323
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Jan 21 23:35:55 2004 +0000

    Update TODO.
    
    * Updated TODO list to include recent items such as
      integer and complex support.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-51

commit f8e0a8191ab9fd4923cc30a88ac362c43085ab73
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 3 10:52:38 2004 +0000

    Added qd-config.in.
    
    * Added qd-config.in which becomes qd-config script.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-50

commit 31cc9eff9efe51d5509b9657a52e8b4d52bc424f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Jan 3 06:14:33 2004 +0000

    Convert tabs into 8 spaces.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-49

commit 6867a91058edc3f05a4af7a896885493888aa051
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 11:05:59 2004 +0000

    For MSVC++, use _copysign, _isnan, and _finite.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-48

commit 38c0cee1275fe85660bb545b762dc89470ffb8ba
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 10:34:46 2004 +0000

    Automatically generate ChangeLog during distribution.
    
    * ChangeLog is now automatically generated during 'make dist'.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-47

commit 2e94bb36ab814f1c3ad49af30adb35ad01a02749
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 10:29:18 2004 +0000

    Rename pslq.cpp to pslq.h.
    
    * Rename pslq.cpp to pslq.h to avoid build of pslq.o.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-46

commit bb50698571134bf9038d2c5453745b033551b490
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 10:22:41 2004 +0000

    Build debug code conditionally.
    
    * Build debugging code (debug_rand, dump methods)
      only if specified.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-45

commit 260ec75324ba66bca5fb952c04f21183d86e37e1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 07:26:36 2004 +0000

    Include ieeefp.h for Solaris systems.
    
    * Added check for ieeefp.h in configure.ac.
    * Include ieeefp.h in src/bits.cpp if available.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-44

commit c9e5cc696aba76b9f9e453f17b6303b53806a944
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 06:53:44 2004 +0000

    Use finite() instead of isinf().
    
    * Use finite() instead of isinf() in bits.cpp, as it
      is more widely available.
    * Updated configure time checks accordingly.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-43

commit 14edcdc41315ffba59fd2d0144123e7bd8626e7c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 06:47:09 2004 +0000

    Added checks for isnan, isinf, and copysign.
    
    * Added configure checks for isnan, isinf, and copysign.
    * Updated src/bits.cpp to use the new macros.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-42

commit f4091e6a02a71d031a334024940a7c1641e5bc68
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 05:07:32 2004 +0000

    Updated patch level to 41.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-41

commit 9c042d9b2d16d26c77a44783dee176b9415c7b6d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 05:00:28 2004 +0000

    Use time() for system without gettimeofday().
    
    * Updated tests/time.h and tests/time.cpp to use C library time()
      function when gettimeofday is not available.
    * Use atoi and time in global namespace (for MSVC++).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-40

commit c8bed9cc27253bc42f97e1a954ef39f6f9def3fb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 01:54:30 2004 +0000

    Use std::rand(), MSVC++ workarounds.
    
    * Use std::rand().
    * For MSVC++, use ::rand(), since MSVC++ does not have rand()
      in std namespace.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-39

commit aff5e5525675575b2940abd03b99a7ead2c1d4cb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Jan 2 01:52:49 2004 +0000

    Updated fpu.cpp for Windows compilers.
    
    * Updated fpu.cpp for Windows compilers (MSVC++ and Borland C++).
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-38

commit 22077336158d50df0af6208bdb65274b72738d66
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 31 22:57:52 2003 +0000

    Use C++ headers instead of C headers.
    
    * Use C++ headers such as <cstring> instead of <string.h>.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-37

commit d086e511e33892c7829d33a69b2c77aba07c6734
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 31 22:31:45 2003 +0000

    Fixes for compilers with old for init statement scope.
    
    * Moved loop counter declaration outside of for loop init statements.
      Some old compilers (e.g., VC++) does not have proper scoping of
      for init statements.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-36

commit 1c7dae35fd4a6c5a935ce57b19ba6444ade18696
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 31 20:14:30 2003 +0000

    Removed qd_config.h from distribution.
    
    * Modified include/Makefile.am to not include qd_config.h from the
      distribution tarball.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-35

commit 5aaec2ed0f5c46025ba82a695c19d2a45044d976
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 31 09:27:43 2003 +0000

    Moved internal functions to qd namespace.
    
    * Moved internal functions to qd namespace from the global namespace.
    * Added appropriate qd:: prefix or using statements to use the
      qd namespace.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-34

commit c97bb95c7459ae37f42be756609f92f2212eb0cc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 31 06:53:40 2003 +0000

    Merge from qd-cabernet.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--cabernet/qd--cabernet--2.1--patch-1
       Updated sample program in qd.tex.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-33

commit 5331ef6102a829b953b9f9eb9312c439cfb6933e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 31 05:40:45 2003 +0000

    Merge from qd-zinfandel tree.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd-zinfandel/qd--zinfandel--2.1--patch-5
       Updated README on Fortran usage.
    
     * yozo@cs.berkeley.edu--qd-zinfandel/qd--zinfandel--2.1--patch-6
       Added using statements to f_dd.cpp and f_qd.cpp.
    
     * yozo@cs.berkeley.edu--qd-zinfandel/qd--zinfandel--2.1--patch-7
       Update #defines in include file.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-32

commit 8fecbb5e0616fd6de3d99d8a9ae1987f6054e848
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 31 03:28:22 2003 +0000

    Cleaned up using declarations.
    
    * Removed using declarations from header files.
    * Cleaned up using declarations in source files and
      tests programs.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-31

commit 911c08ffe855a398ec3228fa6a2345f2a5203e46
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 31 01:23:32 2003 +0000

    Cleanup.
    
    * Use [default=yes] instead of (default is yes) in configure.ac.
    * Update TODO.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-30

commit 0b6ded4c8347ba8a90a7ebfbcb37270715282024
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 31 00:51:27 2003 +0000

    Added --enable-debug option.
    
    * Added --enable-debug option in configure.ac.
    * Add -g to CXXFLAGS and FCFLAGS if --enable-debug is selected.
    * Moved the argument checking in configure near the top.
    * Added QD_DEBUG flag in include/qd/qd_config.h.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-29

commit 85e0de8c06d8b2df615ce7974980afd7dac1ad10
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 30 22:45:37 2003 +0000

    Updated NEWS file for 2.1 series.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-28

commit f31f85c3aaa161d75febcf4563ab8976e8341db5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 30 22:37:39 2003 +0000

    Added TODO file.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-27

commit a85dd1fa59a7c15627e58c506089c5a482bb77b1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 30 19:57:30 2003 +0000

    Updated patch number in configure.ac.
    
    * Updated patch number to 26 in configure.ac.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-26

commit 61b0bd068c5e14f8d7eb4ab98072b9354ff9b18e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 30 09:48:05 2003 +0000

    Merge from qd-zinfandel tree.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd-zinfandel/qd--zinfandel--2.1--patch-1
       Added icc and ecc to the list of C++ compilers.
    
     * yozo@cs.berkeley.edu--qd-zinfandel/qd--zinfandel--2.1--patch-2
       Updated README, added INSTALL.
    
     * yozo@cs.berkeley.edu--qd-zinfandel/qd--zinfandel--2.1--patch-3
       Added C++ main.o to libqdmod.a
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-25

commit 30ba5542f4d147ae3ac5ba9c4f088b422c95de23
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 15 08:55:08 2003 +0000

    Fix f_main name in Fortran/main.cpp for various compilers.
    
    * Fixed f_main name for various compilers in Fortran/main.cpp.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-24

commit 68519b7440993d31881fb73dbe45f85f5b488dba
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 15 08:45:06 2003 +0000

    Removed unreacheable blocks from Fortran demo programs.
    
    * Removed unreacheable blocks from Fortran demo programs.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-23

commit 800c37cd5a76ee200b4adcb42ea7cf804201d7e7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 15 08:43:49 2003 +0000

    Fix pslq_test compilation problems on Sun.
    
    * Fixed "new (T *)[x]" to "new T *[x]" in pslq.cpp.
    * Removed "static" from global variable declarations.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-22

commit 4264150bb0af69174bfeda37278176a6a1407419
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 15 08:40:26 2003 +0000

    Install Fortran module files.
    
    * Install Fortran module files ddmodule.mod and qdmodule.mod.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-21

commit d6098d5864e7b70bf44d8b43fe9836743fc7a61c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 15 07:46:37 2003 +0000

    Disable build of shared library by default.
    
    * Disable build of shared library by default.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-20

commit 7b841a96c5049c1f63d9c56293bcc33cb23c84c6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 15 01:46:49 2003 +0000

    Use package version number for shared libraries.
    
    * Added -release $(VERSION) to creation of shared library.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-19

commit b06f287e59dc9cc804bff16f159366b515d27a6a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 15 00:16:29 2003 +0000

    Fixes to install header files correctly.
    
    * Added qd/qd_config.h to the files installed.
    * Fix Makefile.am to install headers in include/qd directory.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-18

commit ac4f0af615c6533b7b9972be9aa7357055f48f6e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 11:35:31 2003 +0000

    Merge fix from qd--mainline--2.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-79
       Added support for ifort, and modified search list of C++ compilers.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-17

commit ee1606f58fd6a133e2183b9165c357d12255ac7b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 11:14:03 2003 +0000

    Cleaned up configure.ac.
    
    * Moved libtool checks toward the end.
    * Set F77 varables so libtool macros can use them.
    * Enable shared library by default.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-16

commit c6d2ceda82cf5605fb7dd0d76688429a19b02965
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 11:12:50 2003 +0000

    Prevent include/qd/qd_config.h to be deleted in make clean.
    
    * Delete include/qd/qd_config.h only when "make distclean" is issued.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-15

commit 544159aebafa3644d3a98654240d6463ebea67bd
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 10:52:35 2003 +0000

    Use libtool to create libraries.
    
    * Use libtool to create and use libraries (renamed libqd.a to libqd.la).
    * Disable shared library by default.
    * Classified new files as junk in {arch}/=tagging-method.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-14

commit b05d210f3d3f59be9ffd81a535cbd3d9e250d346
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 10:39:13 2003 +0000

    Classify libtool as junk in {arch}/=tagging-method.
    
    * Classify libtool as junk in {arch}/=tagging-method.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-13

commit 67af3c0abbb81122012e743045c8f3eb60bd3ba3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 10:37:33 2003 +0000

    Fix to make separate directory build possible.
    
    * Allows build to happen in different directory from source.
    * Passes make distcheck.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-12

commit aa8abed5ae10043e671255bf959b975c22f960b2
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 10:31:45 2003 +0000

    Added libtool support.
    
    * Added libtool support in configure.ac.
    * Removed check for ranlib since it is already checked by libtool.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-11

commit e585fd2f1dd6c2ca0413b0cf7255b9f8eadb8945
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 09:32:52 2003 +0000

    Classified various generated files for qd.ps as junk/precious.
    
    * Classified qd.ps as precious.
    * Classified any other file generated during making of qd.ps as junk.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-10

commit 34fbc122908b3fe75df438100ef4a2397687ad5a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 09:25:43 2003 +0000

    Added doc source files.
    
    * Added doc source files (*.tex, *.bib, *.eps, *.fig).
    * Updated docs/Makefile.am to build these.
    * Removed arith15.ps since they are covered by qd.ps.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-9

commit 882abefde7bf82ac5d525e21260d9865526dc197
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 08:04:25 2003 +0000

    Merged fix from qd--mainline--2.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-77
       Fix pslq_test.cpp underflow constant (again).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-8

commit 614a72e6065c5bf95cb40fb6f69b5484b516dad4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 07:59:55 2003 +0000

    Added extra program target to fortran/Makefile.am.
    
    * Added extra program target (with the quadrature programs)
      to fortran/Makefile.am.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-7

commit 518638a505eff0489ebfda833ebe3e12fdef7443
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 07:34:35 2003 +0000

    Merged fix from qd--mainline--2.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-76
       Fixed underflow threshold in pslq_test.cpp.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-6

commit 94f373054587dba5740d87838df65981bf8ae045
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 07:33:11 2003 +0000

    Merged Fortran fixes from qd--mainline--2.
    
     * Fixed fortran/Makefile.am for Fortran programs.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-74
       Fix ntab uninitialization bug.
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-75
       Use C++ main program for Fortran sample programs.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-5

commit 1d22371ddcbe5d26863e8ef07fcfa29f38ad167a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sun Dec 14 07:11:56 2003 +0000

    Merge configure fixes from qd--mainline--2.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-72
       Added check for etime when using Intel ifc/ifort compiler.
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-73
       Cleaned up configure.ac.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-4

commit 34c951fa2cee6cb7fbf001de7e5640ba04c1c328
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 13 17:19:37 2003 +0000

    Fixed test programs to return 1 on failure.
    
    * Fixed qd_test and pslq_test to return 1 if the tests fail,
      and return 0 on success.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-3

commit d0cb562e8c9ab9d18a243537e7a351020d4fe5eb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 13 06:45:25 2003 +0000

    Make qd_test and pslq_test run both dd and qd by default.
    
    * Make qd_test and pslq_test run both dd and qd by default.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-2

commit 55df15cf2bb72e82a2d5496c0c038902059a5221
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 13 06:41:47 2003 +0000

    Added pslq_test as a test program.
    
    * Updated tests/Makefile.am to include pslq_test as a
      test program.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2.1--patch-1

commit 4eb8c10b8a0a3e3ed31839f9799de5b748f5acb9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 13 05:16:08 2003 +0000

    Merged fixes from qd--mainline--2.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-66
       Removed fortran defines from fpu.h.
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-67
       Fixed header files so C compilers can use them.
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-68
       Fixed c_dd_swrite and c_qd_swrite.
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-69
       Fixed qd_real(double *) constructor to use const double *.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-18

commit d2e803277d4660cfa0b96d23ad9cc9cb687ddfd5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 10 04:41:06 2003 +0000

    Fix default compiler flags.
    
    * Set default compiler flag to "-O2".
    * Remove debug flag.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-17

commit 1c1138aafb56dc00fdfc8723d8711f7b986dccec
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 10 01:55:55 2003 +0000

    Fixed configure.ac so that enable_fortran is always set to something.
    
    * Fixed configure.ac so that enable_fortran is either "yes" or "no"
      at the end of configure.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-16

commit 27f74fe90c8313667704f7fb8238970399b876a4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 10 01:37:59 2003 +0000

    Added --enable-fortran option to configure.ac.
    
    * Added --enable-fortran option to configure.ac.
    * Added conditional printing of Fortran variables
      at the end of configure.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-15

commit e2a87af52229cdec442a7ca8b4253fa5b00d7aa7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 10 01:16:02 2003 +0000

    Fixed fortran/Makefile.am.
    
    * Added $(FLIBS) to linker.
    * Added fortran_test as test program.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-14

commit 01a6ed5dcf3f822f81a4758768d51896f0711f38
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 10 01:05:03 2003 +0000

    Merged README fixes from qd--mainline--2.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-63
       Fixed README to reflect FCLIBS and FCFLAGS change.
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-65
       Fixed README typo.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-13

commit dab1698bd49ae2c6fbe38352f3580f27922bf626
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 10 00:59:14 2003 +0000

    Classified libqdmod.a as junk.
    
    * Classified libqdmod.a as junk in {arch}/=tagging-method.
    * Fixed small typo for libqd.a.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-12

commit 0217d16d29d6c9add9d872c734f6b6a0760d414f
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 10 00:56:57 2003 +0000

    Merged patch-62 from qd--mainline--2.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-62
       Cleanup Fortran check in configure.ac.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-11

commit 36874d717872baa27e034535b8ba633fc2d04ff7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Wed Dec 10 00:37:37 2003 +0000

    Merge several bugfix patch from qd--mainline--2.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-59
       Intel ifc compiler needs extra -lPEPCF90 for etime function.
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-60
       Fixed warnings from ifc compiler.
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-61
       Added check for how to compile free-form Fortran source.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-10

commit 250208610a4d45dbbd9765b039660d4eecf53118
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 11:54:47 2003 +0000

    Added docs/Makefile.am.
    
    * Added docs/Makefile.am.
    * Modified configure.ac and Makefile.am accordingly.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-9

commit f3cca3e5b91ade08541c8f825bd0055e8568bd25
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 11:37:10 2003 +0000

    Added verbose output at the end of configure.ac.
    
    * Added verbose output at the end of configure.ac.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-8

commit c3e8d6dd5c565da87c5ac583326994d349a20c46
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 11:29:47 2003 +0000

    Added fortran/Makefile.am.
    
    * Added fortran/Makefile.am.
    * Modified configure.ac to accomodate fortran/Makefile and
      added fortran to SUBDIRS in Makefile.am.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-7

commit 9b706348eab28ba5b55a016457201f84116a237a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 11:10:43 2003 +0000

    Added config/Makefile.am.
    
    * Added config/Makefile.am.
    * Modified configure.ac to accomodate config/Makefile and
      added config to SUBDIRS in Makefile.am.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-6

commit 091afe3a7af9a6028fe9701efad71ff0ff158354
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 10:12:00 2003 +0000

    Added automake support for tests.
    
    * Added tests/Makefile.am and corresponding changes in
      configure.ac and Makefile.am.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-5

commit 4927408d2781415f7ba43b395ea446e313050244
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 09:44:35 2003 +0000

    Added include files to distribution.
    
    * Added include/Makefile.am and corresponding changes in
      configure.ac and Makefile.am.
    * Added nostdinc option to AM_INIT_AUTOMAKE macro.
    * Added .. and ../include as include directory in src/Makefile.am.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-4

commit 095ea163bf5f357aa002c76d13b0d1b06683d235
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 09:08:12 2003 +0000

    Fixed configure.ac.
    
    * The dist target now makes qd-2.1.x.tar.gz files.
    * The 'configuring qd-2.1.x...' message now appears at
      the very beginning.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-3

commit acef400a446b6daba1e941a01d6bcc67591ccc04
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 08:24:59 2003 +0000

    Initial support of automake.
    
    * Added automake support in configure.ac
    * Updated config/autogen.sh to run automake.
    * Removed make.inc.in, Makefile, and src/Makefile from
      source inventory, as they are generated by automake.
    * Added Makefile.am and src/Makefile.am as source.
    * Added automake scripts in config directory.
    * Classified Makefile and Makefile.in as precious, and
      stamp-* files as junk.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-2

commit f08368ae0fc09398a96e19e205ffaa6b995e3cf2
Merge: fd7f742... f1596c2...
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 07:49:40 2003 +0000

    Merge from mainline tree.
    
    Patches applied:
    
     * yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-57
       Fixed config.h.in to be automatically generated.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--automake--2--patch-1

commit f1596c2cff7c7d777c28d1f5da2223f9a5a008fb
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 07:44:11 2003 +0000

    Fixed config.h.in to be automatically generated.
    
    * Removed config.h.in from source.
    * Fixed autogen.sh to automatically generate config.h.in.
    * Fixed configure.ac to provide comments to some #defines.
    * Added #ifndef clauses to include/qd/qd_config.h.
    * Fixed minor bugs in config.h.in (use #undef instead of #define).
    * Classified config.h.in as precious in {arch}/=tagging-method.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-57

commit fd7f742038aa5e59bec8372031a28c1a4a0311d0
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 00:44:49 2003 +0000

    Updated patch number in configure.ac.
    
    * Updated patch number to 56 in configure.ac.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-56

commit 5bae3e02715af9dcae3257acba60c3dc546e6616
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 00:37:15 2003 +0000

    Updated NEWS for 2.0 release.
    
    * Updated NEWS for 2.0 release.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-55

commit eaf2e3c1ca7b0bae4ab95f3974f595ac3cdec291
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 00:26:27 2003 +0000

    Updated README.
    
    * Updated README since version 1.x.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-54

commit f0cca88e0167169e02bd3db5550e6e559d7e5e9d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Tue Dec 9 00:05:47 2003 +0000

    Renamed COPYING to LICENSE.
    
    * Renamed COPYING to LICENSE.
    * Updated README accordingly.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-53

commit ca40fa32c5907fbc8f4eca6bd36289839842c3a7
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 07:56:38 2003 +0000

    Added Fortran interface to fpu_fix_xxx routines.
    
    * Added f_fpu_fix_start and f_fpu_fix_end in fpu.cpp.
    * Fixed fortran program sources in fortran directory
      to call the new routines.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-52

commit 90ddd4713f4e43c908047385f976de9466bee142
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 07:42:28 2003 +0000

    Classify ChangeLog as precious and qd.diff as junk.
    
    * Classify ChangeLog as precious and qd.diff as junk in
      {arch}/=tagging-method.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-51

commit ebaa8924783afbfef37e22225f634f5d85311835
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 07:40:09 2003 +0000

    Use int instead of short in fpu_fix_xxx routines.
    
    * Use unsigned int instead of unsigned short in fpu_fix_start
      and fpu_fix_end routines.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-50

commit 98cd1d5d545fe53f5be7dd20da138aaaa3cfa5cc
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 07:09:23 2003 +0000

    Support sun fortran compiler.
    
    * Added -free to FFLAGS if the compiler is a fortran compiler.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-49

commit 4a103835e3ab38dfdc17c988d1db39a3ba6ac202
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 07:06:16 2003 +0000

    Use C++ as linker for Fortran programs.
    
    * Use $(CXX) as linker for Fortran programs.
    * Use AC_F77_LIBRARY_LDFLAGS function to detect Fortran libraries.
    * Drop CXXLIB, use FLIBS instead.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-48

commit 1ded98dc4b5490413cf9314656f37a504673afe5
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 05:55:11 2003 +0000

    Fix ChangeLog generation bugs.
    
    * Removed changelog target from Makefile.
    * The target "maintainer-clean" now removes ChangeLog.
    * Add ChangeLog generation in config/autogen.sh
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-47

commit 0ff48b40c2f7921d14721b1f8520c7ed64eb13c4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 05:47:19 2003 +0000

    Added changelog target to Makefile.
    
    * Removed ChangeLog from source as it is automatically
      generated.
    * Added changelog target to Makefile.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-46

commit e578650891434e48efdd0bd64cc0dc0c7b525866
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 04:30:06 2003 +0000

    Classify .swp as junk file.
    
    * Classify .swp as junk file.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-45

commit edabb6905859c869c3cd8da4aa12e76bba6fa059
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 04:28:35 2003 +0000

    configure.ac now supplies default compiler flags.
    
    * Fix configure.ac to supply various default compiler flags.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-44

commit 1946d2d6d4ef010f3a855229705738fa1554f615
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 03:26:27 2003 +0000

    Cleanup fortran/Makefile.
    
    * Use TARGET variable to list all executable targets.
    * Add .PHONY target.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-43

commit 06df6788e22c35972456036c9b2f3cc064c8065a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 03:24:16 2003 +0000

    Fix Fortran interface to use pass-by-reference.
    
    * Fixed f_dd.cpp and f_qd.cpp to use pass-by-reference.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-42

commit e840884b3cdc271603d21edbc8aa3973b1be2670
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 02:44:16 2003 +0000

    Added various targets in fortran/Makefile.
    
    * Added targets to compile the quadrature programs in fortran
      directory.
    * Added fortran/second.f.
    * Classify the example executables as junk in
      {arch}/=tagging-method.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-41

commit 18dfcd92d3d5f2be5748a2e597f7031cb8bf358c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 02:12:42 2003 +0000

    Fixed ddmod.f and qdmod.f.
    
    * Use f_xxx routine names instead of c_xxx names.
    * Remove polyeval and polyroot functions since these
      no longer have Fortran interfaces.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-40

commit 5604f106148dc167731069765d69b7330532b7ab
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 02:08:30 2003 +0000

    Classify module files as junk.
    
    * Classified module files generated by Intel Fortran 95
      compiler as junk.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-39

commit 7e3c79895d536883190b92d9b35acb8298eafe67
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Dec 8 02:05:53 2003 +0000

    Fixed fortran/Makefile.
    
    * Renamed variables in fortran/Makefile to conform to the
      standard more (e.g., F90 to FC, F90FLAGS to FFLAGS).
    * Introduced CXXLIB into make.inc.in, fortran/Makefile,
      and configure.ac.
    * Cleaned up unused stuff.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-38

commit 34b0c0c522975ff4cb79704580debe0acc6e2617
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 12:55:44 2003 +0000

    Rename F90 to FC and F90FLAGS to FFLAGS.
    
    * Modified configure.ac and make.inc.in to rename F90 to FC
      and F90FLAGS to FFLAGS.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-37

commit 7a41fd1c7ca33c39bcb06574f131fdbedcff7299
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 12:47:55 2003 +0000

    Added support for F90 and F90FLAGS.
    
    * Added F90 and F90FLAGS variable in make.inc.in.
    * Added AC_SUBST for F90FLAGS in configure.ac.
    * Fixed config/autogen.sh to remove autom4te.cache directory.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-36

commit a98843b5d62648a02ce76a3c404ec3d0f12ce097
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 12:34:09 2003 +0000

    Cleaned up make.inc.in, c_dd.{h, cpp}, c_qd.{h, cpp}.
    
    * Removed CC_OPTS and C_QD_OPTS from make.inc.in.
    * Removed #defines for Fortran compatibility from c_dd.h,
      c_dd.cpp, c_qd.h, c_qd.cpp.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-35

commit 1bcd877f33f2827bd11ba4d5c802c4deab487604
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 12:23:49 2003 +0000

    Added f_qd.cpp for Fortran interface.
    
    * Added f_qd.cpp with f_* routines.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-34

commit af3be67ea9cb668341d310bc307ef3f20ec3ce5c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 12:15:03 2003 +0000

    Fixed extraneous #defines in f_dd.cpp.
    
    * Removed f_poly_eval and f_poly_root #defines from f_dd.cpp.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-33

commit bebd767d2fa7601e8c337e72963ba766e1e3f2c9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 12:13:10 2003 +0000

    Cleaned up {arch}/=tagging-method.
    
    * Classified make.inc as junk.
    * Classified autom4te/* files as junk.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-32

commit df2498545585ed032607f3b84361135491b86a6e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 12:11:32 2003 +0000

    Added config/autogen.sh.
    
    * Added config/autogen.sh to run aclocal and autoconf, and
      create dependency information make.dep.
    * Removed src/make.dep and tests/make.dep as these are now
      generated by autogen.sh.
    * Classified make.dep as precious.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-31

commit 985c19f61380566f7bebf81c75a4479ba8da3032
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 11:53:37 2003 +0000

    Added f_dd.cpp for Fortran interface.
    
    * Added f_dd.cpp with f_* routines.
    * Added HAVE_FORTRAN define in config.h.in.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-30

commit 2725b488e048495133aa1ea196307fad4fb9dff9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 11:27:23 2003 +0000

    Added checks for Fortran-90 compilers.
    
    * Added checks for Fortran-90 compilers in configure.ac.
    * Added additional #defines in config.h.in.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-29

commit 2957d1c3e79df4b1bf0f6aa0c29dbabfb348f893
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 11:16:08 2003 +0000

    Fixed c_qd.h and c_qd.cpp.
    
    * Fixed c_qd.h to make into a real C header
      (use double* instead of qd_real&).
    * Fixed c_qd.cpp accordingly.
    * Made qd_real.x field public.
    * Added qd_real(double *xx) constructor.
    * Eliminated poly_eval and poly_root from c_qd.h.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-28

commit 8278d34f25eb7346a2bb41f8955d83839c7e6e06
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 10:38:41 2003 +0000

    Fixed c_dd.h and c_dd.cpp.
    
    * Fixed c_dd.h to make into a real C header
      (use double* instead of dd_real&).
    * Fixed c_dd.cpp accordingly.
    * Made dd_real.hi and lo fields public.
    * Made dd_real(hi, lo) constructor public.
    * Eliminated poly_eval and poly_root from c_dd.h.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-27

commit a5f4d6889e04bf99f482e39ab68f3dd1f66a753d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 10:10:16 2003 +0000

    Added "dep" target to the main Makefile.
    
    * Added "dep" target to the main Makefile.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-26

commit 53a0561ac847fde90933468e4265f53b228600d6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 08:04:13 2003 +0000

    Updated "archive" target in Makefile.
    
    * It nows creates an tarball called 'qd-2.0.x.tar.gz' where
      x is the patch level.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-25

commit ce6d02eb63924de627367b33a02fdc8c28052568
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 07:29:43 2003 +0000

    Fix to support LDFLAGS variable.
    
    * Added @LDFLAGS@ to make.inc.in.
    * Added $(LDFLAGS) to linking targets in tests/Makefile.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-24

commit e076cb75375c96cd5a6a3cd98351ce40aa67a37c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 07:25:53 2003 +0000

    Added search for other C++ compilers.
    
    * Added search for other C++ compilers (cxx, KCC, CC, c++,
      xlC, aCC, g++, c++, icc) to configure.ac.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-23

commit 216c6429e86826c21db9bfd84f6ea26eba0e52b9
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 06:49:27 2003 +0000

    Split sloppy option into sloppy-mul and sloppy-div.
    
    * Split --enable-sloppy option in configure.ac into two parts,
      --enable-sloppy-mul and --enable-sloppy-div.
    * The QD_SLOPPY preprocessor define was split into QD_SLOPPY_MUL
      and QD_SLOPPY_DIV as well.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-22

commit ed37737a238eec66c8eca45d25607c8ddc3cc560
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 06:30:57 2003 +0000

    Renamed --enable-accurate to --enable-ieee-add.
    
    * Renamed --enable-accurate option in configure.ac to --enable-ieee-add.
    * Renamed QD_ACCURATE preprocessor define to QD_IEEE_ADD.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-21

commit dcff0d895acbbbf40ebf05b32426a42e7550213b
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 06:18:12 2003 +0000

    Fixed typos in configure.ac.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-20

commit 26ab8adbcd8ff27fec68805478c5df91fd73d501
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 06:09:49 2003 +0000

    Added .SUFFIXES to make.inc.in
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-19

commit 925746c78952ed75ea4a9c6d34b5175cfac1786d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 06:08:31 2003 +0000

    Added check for fpu_control.h for x86 linux.
    
    * Added check for fpu_control.h for x86 linux systems.
    * Added #include <fpu_control.h> in fpu.cpp.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-18

commit 61f5143ba26ef766ec6a9f38481b4bc2999e1d3d
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 05:52:33 2003 +0000

    Added checks for ranlib in configure.ac.
    
    * Added checks for ranlib in configure.ac.
    * Modified make.inc.in to use the ranlib detected in
      configure script.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-17

commit 45cc063e1ab9fa51b2aa9a90322f614a59244ed4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 02:23:59 2003 +0000

    Added configure check for x86 fpu fix.
    
    * Added check in configure.ac for x86 fpu fix.
    * Changed x86 to X86 in #ifdefs.
    * Added auxiliary scripts config.guess, config.sub, install-sh
      into config directory.
    * Source files now #includes "config.h".
    * Makefile fixes.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-16

commit 66dc946003eb722555c747af1ff61362293e6209
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 01:37:34 2003 +0000

    Rename "x86" to "fpu".
    
    Renamed x86.h and x86.cpp to fpu.h and fpu.cpp.
    Renamed x86_xxx routines to fpu_xxx routines.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-15

commit 811724e1a26f140b6e04f0f207cf40546f03b71e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Sat Dec 6 01:25:37 2003 +0000

    Clean up configure.ac.
    
    * Removed unnecessary tests: AC_C_CONST, AC_C_INLINE, check for
      strings.h.
    * Removed redundant check for stdlib.h.
    * Fix AC_DEFINE so that autoheader is happy.
    * Fixed <strings.h> to <string.h>.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-14

commit da9d7fadadd662118c7bbfb12ed7f70c56fed16c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 23:46:49 2003 +0000

    Fixed #include directives from "xxx" to <xxx>.
    
    Fixed '#include "xxx.h"' to '#include <xxx.h>' for qd header files.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-13

commit 6cf59972cd16a7494a688065b3a776f9257467e3
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 23:39:37 2003 +0000

    Fixed names of defines to those used in qd_config.h.
    
    * Use QD_SLOPPY instead of SLOPPY.
    * Use QD_ACCURATE instead of ACCURATE.
    * Use QD_HAS_FMA instead of HAS_FMA.
    * Use QD_INLINE instead of NO_INLINE.  This reverses the
      sense so change ifdef to ifndef, and vice versa.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-12

commit d01ec9b225144741e6f99e6f672f57bf568e95f4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 23:23:28 2003 +0000

    Removed make.xxx for various architectures.
    
    We don't need these anymore since the configure script
    handles it.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-11

commit 1f34fab30a5c608730dbd95e71fd0e860fc49988
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 23:21:08 2003 +0000

    Added various --enable-xxx in configure.ac.
    
    Added --enable-inline, --enable-fma, --enable-accurate, and
    --enable-sloppy to configure.ac.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-10

commit 181b975c2d6dfa0ca86c9df305ca309ee7706883
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 22:40:29 2003 +0000

    Put library configuration defines in qd_config.h
    
    * Instead of make.config, put various preprocessor defines
      in the file qd_config.h.in.
    * Appropriate #include also added in various file.
    * Modified configure.ac to process qd_config.h.in.
    * Modified various Makefile to omit make.config, and
      use appropriate compiler flag variables.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-9

commit beccf905e48ef65b97ac09d4b50565d31ca4b647
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 19:59:58 2003 +0000

    Added versioning info in configure.ac
    
    Added appropriate defines in config.h.in, and
    cleaned up unused ones.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-8

commit 27f09363bb60d91c6d566ccf40de74fd6755f680
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 19:37:43 2003 +0000

    Removed install-sh since it is not needed.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-7

commit 5d29575fff60475e0a8c239634191b485e235481
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 19:36:41 2003 +0000

    Added contributor section in AUTHORS.
    
    Added Yves Renard, who contributed the autoconf, automake,
    and libtool support.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-6

commit b3e98ea836f9bdeab6dadb09b8abb127328d5a02
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 19:08:37 2003 +0000

    Added "maintainer-clean" target to Makefile.
    
    This removes the configure script generated by autoconf.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-5

commit c4bba33a0d64c1c515ed84722a09f848065f8381
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 09:03:12 2003 +0000

    Added autoconf scripts.
    
    Added autoconf scripts and config header files,
    as well as make.inc.in file.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-4

commit a240dd74af4d46fe1aae42d17c2bc113a41af1a4
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 07:21:54 2003 +0000

    Added AUTHORS file.
    
    To conform to GNU standards (required by automake).
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-3

commit 78d24a3f5a7a5c97f85afe7b8b8aa810e16b7dbf
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 07:03:34 2003 +0000

    Added "dep" target to tests/Makefile.
    
    This generates the file make.dep which lists the
    dependency among source files.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-2

commit 6b7466d40682e22cca06e838a5023d81ad77a9a6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 07:00:40 2003 +0000

    Moved all include files into qd directory.
    
    Moved all include files into qd directory.
    Thus "dd.h" is now "qd/dd.h", etc.  This lessens the
    chances of name clash with other packages such as arprec.
    Necessary changes in source files (both in src and tests
    directories were made) and README where made as well.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--2--patch-1

commit b96e89501cbe3921cea59c963c00572c65d99aea
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 06:06:06 2003 +0000

    Updated NEWS for 1.2 release, added ChangeLog
    
    Updated NEWS for 1.2 release.
    Added ChangeLog file, automatically generated form "tla changelog".
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-13

commit 42790e919fea6d29e717b07dbdfa61be30e7d75c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 05:57:00 2003 +0000

    Fix bug in '-all' flag in qd_test
    
    Fixed it so that it runs both dd and qd tests.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-12

commit 8ef95b8c0921fab96cb9e2c817ccb249b9a975b6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 05:42:04 2003 +0000

    Added COPYING as source to the inventory.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-11

commit 28999fc7bfca135d2ed1e105be976fc223860592
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 05:39:04 2003 +0000

    Updated README, COPYING, and NEWS files.
    
    The file COPYING now contains the license information,
    NEWS contains the recent changes, and README was updated.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-10

commit c6933fc31a2d8fa4929d228be1168323ee7572ed
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Fri Dec 5 05:26:43 2003 +0000

    Changed {arch}/=tagging-method to ignore various files.
    
    Modified {arch}/=tagging-method to mark 'make.inc' as precious
    and mark generated files (.o and executables) as junk.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-9

commit 5549acc369c16d600a0a26340aff138cff53acf6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Nov 27 10:12:28 2003 +0000

    Fixed operator ambiguity bugs in pslq_test.cpp.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-8

commit 10a674b0e4c064ddd7b9ab02e9da3fdfb5b58add
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Nov 27 10:03:11 2003 +0000

    Changed .cc extension to .cpp extension.
    
    Some compilers (such as VC++) does not accept .cc extensions.
    Corresponding comments, #include directives, and Makefile has
    been modified.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-7

commit 09fd467c2a1ba6aa566a3599624f5914d98c9b9e
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Nov 27 09:51:28 2003 +0000

    Increased tolerance for qd/dd tests.
    
    The tests where not passing due to tolerances being too small.
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-6

commit 4ee9bc3ccf839fc189b038223442d2eb96c4d78c
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Nov 27 09:45:20 2003 +0000

    Initialize dd and qd variables to zero.
    
    Set the fields in dd/qd in the constructor with no arguments.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-5

commit 08ad70b30b754c6427244f37285c802367410191
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Nov 27 09:37:16 2003 +0000

    Added dist-clean target in Makefile, cleaned up archive target.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-4

commit dc82fc4b05b8a796a9cad46720a937a70a45588a
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Thu Nov 27 09:11:09 2003 +0000

    Removed make.inc.
    
    Since make.inc needs to be modified for each platform,
    it was removed.
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-3

commit f88fd72029d0dce9f7ce4f58d7bdcd4f746bd0c6
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Nov 24 10:04:09 2003 +0000

    Renamed readme-qd to README
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-2

commit ec228a706e259bfb04f596fd78bbbd535102a643
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Nov 24 10:01:56 2003 +0000

    Fix spelling errors in readme-qd
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--patch-1

commit b146f1373d8e609e258b31b2c55502048831c3b1
Author: Yozo Hida <yozo@cs.berkeley.edu>
Date:   Mon Nov 24 09:55:14 2003 +0000

    Initial import of qd version without configuration files.
    
    
    git-archimport-id: yozo@cs.berkeley.edu--qd/qd--mainline--1.0--base-0
